2008-02-14 23:13  dangelo

	* src/hugin1/base_wx/ImageCache.cpp,
	  src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/HFOVDialog.cpp, src/hugin1/hugin/LensPanel.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/PTStitcherPanel.cpp,
	  src/hugin1/hugin/PanoDruid.cpp, src/hugin1/hugin/PanoDruid.h,
	  src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreviewFrame.cpp,
	  src/hugin1/hugin/RunStitcherFrame.cpp,
	  src/hugin1/hugin/TextKillFocusHandler.cpp,
	  src/hugin1/hugin/VigCorrDialog.cpp,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin1/nona_gui/nona_gui.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_base/huginapp/ImageCache.cpp: fixed [ 1858896 ] Hugin
	  crashes when saving after optimization
	  This was caused by using the standart unicode -> multibyte char
	  converter on wxGTK. I hope it doesn't affect filenames with
	  strange characters on OSX.

2008-02-14 22:31  dangelo

	* src/deghosting/hugin_hdrmerge.cpp: report an error if
	  hugin_hdrmerge is called without input image

2008-02-14 22:24  dangelo

	* src/deghosting/hugin_hdrmerge.cpp: copy input to output if only
	  one input file is specified.
	  Fixes [ 1894086 ] error while stitching multiple exposures #2

2008-02-14 21:46  dangelo

	* src/hugin1/hugin/MainFrame.cpp: fixed [ 1890052 ] extension .jpeg
	  is not recognised for input images

2008-02-14 17:34  dangelo

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreferencesDialog.h,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: fixed [ 1871532 ]
	  Preferences dialog losts focus
	  Made Preferences dialog a modal dialog.

2008-02-14 16:47  dangelo

	* src/hugin1/hugin/CPImageCtrl.cpp: fixed [ 1845920 ]
	  CPImageCtrl.cpp assertion failure

2008-02-14 16:30  dangelo

	* src/hugin1/hugin/CPEditorPanel.cpp: fixed [ 1889332 ] CP panel
	  drop down initialization

2008-02-14 16:06  yuv

	* platforms/windows/installer/CMakeLists.txt,
	  platforms/windows/installer/Release_Notes.txt,
	  platforms/windows/installer/hugin.iss,
	  platforms/windows/installer/installer_license.txt: updated
	  installer

2008-02-14 15:46  dangelo

	* src/hugin1/hugin/PreferencesDialog.cpp: fixed crash when clicking
	  "reset to default" in preferences

2008-02-14 15:18  yuv

	* platforms/windows/droplets/CMakeLists.txt: added
	  enfuse_auto_droplet to CMakeLists.txt

2008-02-14 08:53  pooh22

	* src/translations/nl.po: processed new strings, changed
	  voorkeuren=>instellingen

2008-02-13 22:07  dangelo

	* src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/lens_panel.xrc,
	  src/hugin1/hugin/xrc/optimize_panel.xrc,
	  src/hugin1/hugin/xrc/optimize_photo_panel.xrc: fixed [ 1224840 ]
	  tab key doesn't work as expected

2008-02-13 22:05  dangelo

	* src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: slightly better
	  distribution of options in preferences dialog

2008-02-13 22:03  dangelo

	* src/hugin1/hugin/PanoPanel.cpp: llow choosing output image
	  compression type/quality

2008-02-13 22:02  dangelo

	* src/hugin1/hugin/HFOVDialog.cpp: adjust size of "Camera and Lens
	  data" to text and input fields

2008-02-13 21:59  dangelo

	* src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/config_defaults.h: exiftool: do not copy
	  rotation tags to avoid apps rotating the final panorama.

2008-02-13 21:58  dangelo

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Allow choosing output image compression type/quality

2008-02-13 21:57  dangelo

	* src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin_base/panodata/Panorama.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h: Allow choosing output
	  image compression type/quality

2008-02-13 14:41  dangelo

	* src/hugin_base/nona/Stitcher.h: reverse drawing order in preview,
	  to better approximate enblends behaviour

2008-02-12 18:11  dangelo

	* src/hugin1/hugin/LensPanel.cpp,
	  src/hugin1/hugin/xrc/main_frame.xrc: Win32: fix disappearing
	  controls by disabled scrolling in Lens Tab. This is only a
	  workaround.

2008-02-12 16:30  pooh22

	* src/translations/nl.po: updated some changed strings

2008-02-11 23:08  dangelo

	* src/hugin1/hugin/LensPanel.cpp: fixed a possible crash during
	  changing the lens type

2008-02-11 21:56  dangelo

	* src/hugin1/hugin/MainFrame.cpp: Only save makefile if at least
	  one image is in the project

2008-02-11 21:54  dangelo

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp: use %f for the
	  projection type

2008-02-11 21:52  dangelo

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp: Added new autopano
	  options:
	  %v approximate field of view in degrees
	  %t panotools image projection format, 0-4

2008-02-10 21:15  dangelo

	* src/hugin1/hugin/CPEditorPanel.cpp: fixed [ 1888455 ] Crash when
	  adding new control point. (was probably a windows only problem)

2008-02-10 17:22  sebpz

	* doc/align_image_stack.pod, src/hugin_base/panodata/Panorama.cpp:
	  Fixing 2819 bug

2008-02-08 22:58  dangelo

	* src/hugin1/base_wx/huginConfig.cpp, src/tools/fulla.cpp: removed
	  harmless compiler warnings

2008-02-08 22:57  dangelo

	* src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Preferences panel: Back to
	  tabs, always make window big enough to show all
	  controls.

2008-02-08 22:48  dangelo

	* src/hugin1/base_wx/huginConfig.cpp: Earlier 0.7 betas might have
	  written invalid downscale settings
	  to the preferences. Fix this when loading prefs from an older
	  version.

2008-02-08 22:31  dangelo

	* src/hugin1/hugin/LensPanel.cpp,
	  src/hugin_base/panodata/Panorama.cpp: fixed crash [ 1803962 ]
	  Undo project open leads to crash.

2008-02-08 21:37  dangelo

	* src/hugin_base/vigra_ext/ImageTransforms.h: fixed possible crash
	  on quad core machines. (might fix bug 1882854)

2008-02-08 21:24  ippei

	* mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Mac: moved the ExifTool hack, hugin_version.h change

2008-02-08 20:50  dangelo

	* src/translations/es.po: remove trailing newline

2008-02-08 20:49  dangelo

	* src/translations/es.po: translation contained \ where \n was
	  supposed to be

2008-02-08 20:27  dangelo

	* src/translations/es.po: updated spanish translation (Juan A.
	  Javierre)

2008-02-08 15:31  dangelo

	* src/hugin1/hugin/ImagesPanel.cpp: force full redraw of image in
	  Images Panel (fixes half drawn image on Windows)

2008-02-08 15:11  dangelo

	* src/hugin1/hugin/ImagesList.cpp: show exposure value in Camera &
	  Lens tab

2008-02-08 15:10  dangelo

	* src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/xrc/images_panel.xrc: Show bigger preview image
	  in Images tab

2008-02-08 07:33  dangelo

	* src/hugin1/hugin/huginApp.cpp: do not write default values into
	  configuration

2008-02-08 07:24  dangelo

	* CMakeLists.txt, doc/hugin_hdrmerge.pod,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/base_wx/huginConfig.h, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_version.h.in.cmake: added a function to update hugin
	  preferences from an older version. Currently only the exiftool
	  arguments are updated, since an earlier snapshot wrote incorrect
	  values to the preferences file/registry

2008-02-08 07:21  dangelo

	* src/tools/fulla.cpp: removed obselete -a option

2008-02-06 22:39  dangelo

	* src/translations/ru.po: updated russian translation (Alexandre
	  Prokoudine)

2008-02-06 15:15  dangelo

	* src/hugin_base/nona/Stitcher.h: fixed bug [ 1803220 ] \"internal
	  error: pixeltype not supported\" JPG->HDR

2008-02-05 22:42  dangelo

	* doc/align_image_stack.pod, doc/autooptimizer.pod, doc/fulla.pod,
	  doc/hugin.pod, doc/hugin_hdrmerge.pod,
	  doc/hugin_stitch_project.pod, doc/nona.pod, doc/nona_gui.pod,
	  doc/vig_optimize.pod: added man pages for all programs. They need
	  some more work, especially the description needs to written for
	  most of them. They are currently not included in the build
	  process and thus not installed when doing "make install"

2008-02-05 22:22  erik_krause

	* platforms/windows/droplets/readme.txt:

2008-02-05 21:59  erik_krause

	* platforms/windows/droplets/enblend_droplet.bat,
	  platforms/windows/droplets/enblend_droplet_360.bat,
	  platforms/windows/droplets/enfuse_align_droplet.bat,
	  platforms/windows/droplets/enfuse_auto_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet_360.bat,
	  platforms/windows/droplets/exiftool_enfuse_args.txt,
	  platforms/windows/droplets/readme.txt:

2008-02-05 13:40  dangelo

	* doc/fulla.pod: Extended new fulla manpage. Added DESCRIPTION from
	  old one.

2008-02-04 22:38  dangelo

	* src/hugin1/hugin/wxPanoCommand.cpp: Bugfix: Do not create unused
	  lenses when adding images

2008-02-04 22:21  ippei

	* mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/SetEnv-ppc.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/autopano-sift-C.sh,
	  mac/ExternalPrograms/scripts/clens.sh,
	  mac/ExternalPrograms/scripts/enblend.sh,
	  mac/ExternalPrograms/scripts/enblend3.sh,
	  mac/ExternalPrograms/scripts/gnumake.sh,
	  mac/ExternalPrograms/scripts/pano13.sh,
	  mac/ExternalPrograms/scripts/static/openexr14.sh,
	  mac/ExternalPrograms/scripts/static/pano12.sh,
	  mac/ExternalPrograms/scripts/static/pano13.sh,
	  mac/ExternalPrograms/scripts/static/wxmac26.sh,
	  mac/ExternalPrograms/scripts/static/wxmac27.sh,
	  mac/ExternalPrograms/scripts/wxmac27.sh: Mac: a bit more clean
	  up, remove hopefully obsolete files

2008-02-04 21:20  ippei

	* mac/BuildConfig.xcconfig, mac/Documents/ReadMe-HuginOSX.txt,
	  mac/Documents/ReadMe-Mac.txt, mac/ExternalPrograms/howto.txt,
	  mac/ExternalPrograms/readme.txt,
	  mac/ExternalPrograms/scripts/LICENSE.txt,
	  mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/SetEnv-ppc.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/autopano-sift-C.sh,
	  mac/ExternalPrograms/scripts/lcms.sh,
	  mac/ExternalPrograms/scripts/libexiv2.sh,
	  mac/ExternalPrograms/scripts/libexpat.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/libtiff.sh,
	  mac/ExternalPrograms/scripts/pngconf_h.patch,
	  mac/ExternalPrograms/scripts/static/boost.sh,
	  mac/ExternalPrograms/scripts/static/lcms.sh,
	  mac/ExternalPrograms/scripts/static/libexiv2.sh,
	  mac/ExternalPrograms/scripts/static/libexpat.sh,
	  mac/ExternalPrograms/scripts/static/libjpeg.sh,
	  mac/ExternalPrograms/scripts/static/libpng.sh,
	  mac/ExternalPrograms/scripts/static/libtiff.sh,
	  mac/ExternalPrograms/scripts/static/libxmi.sh,
	  mac/ExternalPrograms/scripts/static/wxmac28.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh,
	  mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh,
	  src/hugin_config_mac.h: Mac: use exiv2, some clean up

2008-02-04 21:16  dangelo

	* src/hugin1/hugin/xrc/lens_panel.xrc: removed unused dialogs

2008-02-04 21:14  dangelo

	* src/hugin1/hugin/xrc/optimize_photo_panel.xrc: Lens Panel:
	  increased minimum size of checkmark listboxes

2008-02-04 20:30  dangelo

	* src/hugin1/hugin/xrc/optimize_panel.xrc: Optimize Panel: properly
	  use all space in main window, increased minmum height of lens
	  parameter checkboxes

2008-02-04 20:22  pooh22

	* src/translations/nl.po: processed new strings

2008-02-04 19:26  dangelo

	* src/hugin1/PT/utils.h, src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin1/base_wx/RunStitchPanel.h,
	  src/hugin1/base_wx/huginConfig.h, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h:
	  Fixed exiftool calls for all outputs (place arguments after
	  source file).
	  hugin_stitch_project asks the user before overwriting existing
	  images

2008-02-03 20:42  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp: fix compilation
	  on windows

2008-02-03 20:32  dangelo

	* src/hugin1/base_wx/CMakeLists.txt,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin1/base_wx/RunStitchPanel.h,
	  src/hugin1/stitch_project/CMakeLists.txt,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp:
	  hugin_stitch_project: Keep window open after error, modularized
	  code.
	  General: better display of command line progress (less wxTextCtrl
	  updates, no more flicker)

2008-02-03 20:28  dangelo

	* src/hugin1/base_wx/huginConfig.cpp: search for nona and hdrmerge
	  like the other tools

2008-02-02 23:54  btownshend

	* src/tools/align_image_stack.cpp: Fixed typo in usage message.

2008-02-02 22:49  btownshend

	* src/tools/align_image_stack.cpp: Changed defaults to '-s 1 -g 5
	  -c 8' from '-s 2 -g 1 -c 200'
	  Added some sanity checks on option values

2008-02-02 21:58  erik_krause

	* platforms/windows/droplets/collect_data_enblend.bat,
	  platforms/windows/droplets/collect_data_enfuse.bat,
	  platforms/windows/droplets/enfuse_align_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet_360.bat,
	  platforms/windows/droplets/readme.txt:

2008-02-02 21:07  sebpz

	* src/tools/nona.cpp: Syntax corrected

2008-02-02 21:02  sebpz

	* src/tools/nona.cpp: Revision 2703 left the q parameter in nona
	  options

2008-02-02 15:58  ippei

	* mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp: Mac: minor
	  fixes

2008-02-02 02:18  yuv

	* CMakeLists.txt, CMakeModules/win_bundle.cmake,
	  platforms/windows/CMakeLists.txt, platforms/windows/installer,
	  platforms/windows/installer/CMakeLists.txt,
	  platforms/windows/installer/Release_Notes.txt,
	  platforms/windows/installer/hugin.ico,
	  platforms/windows/installer/hugin.iss,
	  platforms/windows/installer/installer_license.txt,
	  platforms/windows/installer/modpath.iss,
	  platforms/windows/installer/smallimage.bmp,
	  platforms/windows/installer/url.txt,
	  platforms/windows/installer/wizardimage.bmp: InnoSetup installer
	  and some windows/installer related clean up of top level
	  CMakeLists.txt

2008-02-01 21:50  dangelo

	* src/hugin1/hugin/OptimizePanel.cpp: Properly resize Optimizer
	  tab.

2008-02-01 18:15  dangelo

	* src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/CropPanel.h:
	  Fixed crash on windows.

2008-02-01 17:50  dangelo

	* src/hugin1/hugin/PreviewFrame.cpp,
	  src/hugin1/hugin/PreviewPanel.cpp,
	  src/hugin1/hugin/PreviewPanel.h, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/preview_frame.xrc: Added custom XRC handler
	  for PreviewPanel, only to find out that it was not needed. Hugin
	  doesn't use the unknown class feature of wxWidgets anymore.

2008-02-01 17:32  dangelo

	* src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/CropPanel.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/crop_panel.xrc,
	  src/hugin1/hugin/xrc/main_frame.xrc: Added custom XRC handler for
	  Crop panel

2008-02-01 10:25  dangelo

	* src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h, src/hugin1/hugin/LensPanel.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/lens_panel.xrc,
	  src/hugin1/hugin/xrc/optimize_panel.xrc,
	  src/hugin1/hugin/xrc/optimize_photo_panel.xrc: Further GUI layout
	  fixes, run on small screens without making controls
	  unreachable.

2008-02-01 08:28  dangelo

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PanoPanel.h: Windows: fixed crash on startup
	  Unix,OSX: reenabled splash screen (was disabled in previous
	  commit due to debugging startup crashes)

2008-01-31 23:28  dangelo

	* src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.h,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/main_frame.xrc: Custom XRC handlers for
	  Images, Photometric, and Pano panels. Removed user dragable
	  splitters from Images and Lens panel. Should fix some long
	  standing layout issues. Scrollbars in Images and Lens panels are
	  currently broken.

2008-01-31 23:24  dangelo

	* CMakeLists.txt, platforms/CMakeLists.txt,
	  platforms/windows/CMakeLists.txt: added simple CMakeLists.txt for
	  platform specific folders

2008-01-31 22:30  dangelo

	* src/translations/hu.po: updated hungarian translation (by cqhl)

2008-01-31 22:28  dangelo

	* src/translations/de.po: updated german translation (j-schneid)

2008-01-31 21:05  erik_krause

	* platforms/windows/droplets/CMakeLists.txt:

2008-01-31 20:55  erik_krause

	* platforms/windows/droplets/enblend_droplet.bat,
	  platforms/windows/droplets/enblend_droplet_360.bat,
	  platforms/windows/droplets/enfuse_align_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet_360.bat,
	  platforms/windows/droplets/readme.txt,
	  platforms/windows/droplets/unique_filename.bat:

2008-01-31 18:04  dangelo

	* src/tools/align_image_stack.cpp: fixed unsigned vs signed
	  warnings

2008-01-31 17:57  dangelo

	* src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AssistantPanel.h,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/ImagesList.cpp,
	  src/hugin1/hugin/ImagesList.h, src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/LensPanel.h,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/assistant_panel.xrc,
	  src/hugin1/hugin/xrc/crop_panel.xrc,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/lens_panel.xrc,
	  src/hugin1/hugin/xrc/main_frame.xrc: replaced unknown class with
	  custom XRC handler on Assistant, Lens and CPEditor panels.

2008-01-31 11:15  pooh22

	* src/translations/nl.po: finished the translation of
	  "getransleerde" to "gepositioneerde"

2008-01-31 10:48  pooh22

	* src/translations/nl.po: Some changes, also added comments to some
	  original strings, please provide feedback if possible.
	  
	  Changed
	  "translatie" to "positioneren",
	  "vertikale en horizontale ijkpunten" to "~ uitlijnpunten"
	  Some other small changes.

2008-01-30 20:38  dangelo

	* src/hugin1/hugin/config_defaults.h,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  changed exiftool copy args

2008-01-30 20:16  dangelo

	* src/hugin_base/vigra_ext/ImageTransforms.h: do not share dummy
	  progress reporter between multiple tasks. Should fix [ 1882854 ]
	  Nona crashes in ProgressDisplayOld due to multithreading

2008-01-29 10:34  pooh22

	* src/translations/nl.po: lots of small changes and fixes

2008-01-29 08:06  dangelo

	* CMakeModules/win_bundle.cmake: fixes for adding current enblend
	  to windows bundle

2008-01-28 23:42  btownshend

	* src/tools/align_image_stack.cpp: Added -g option to create a
	  uniform grid over which control points are distributed
	  Fixed bug that caused -l option to also trigger -m
	  Added -s option to specify prescaling of image (default is -s 2
	  which is 4x downsampling)
	  Added more debugging files for corner detection when verbose==5
	  Fixed bug in display of selected control points
	  Cleaned up usage summary

2008-01-28 23:13  btownshend

	* src/tools/nona.cpp: Display usage message when bad arg given

2008-01-28 21:46  dangelo

	* src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AssistantPanel.h,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/main_frame.xrc: Use custom XRC handler
	  instead of XRC unknown class for Assistant panel.

2008-01-28 10:35  dangelo

	* src/hugin1/hugin/CPImageCtrl.cpp: removed some more compiler
	  warnings

2008-01-28 10:33  dangelo

	* src/hugin1/hugin/CPImageCtrl.cpp: fix compilation with wxWidgets
	  2.6

2008-01-28 10:31  dangelo

	* src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h,
	  src/hugin1/hugin/CPImageCtrl.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/LensPanel.h,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePanel.h,
	  src/hugin1/hugin/OptimizePhotometricPanel.h,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/PreviewFrame.cpp, src/hugin1/panoinc_WX.h: Code
	  cleanup: Remove old code referring to wxWindows 2.4

2008-01-28 10:22  dangelo

	* src/tools/align_image_stack.cpp: fixed a stupid bug that slipped
	  through the last commit

2008-01-28 09:54  dangelo

	* src/tools/align_image_stack.cpp: fixed: [ 1880623 ]
	  align_image_stack crashes on certain TIFFs
	  support images with alpha channels (currently alpha channels will
	  be simply ignored during image matching).

2008-01-28 08:41  dangelo

	* src/foreign/ANN/ANN.cpp, src/foreign/ANN/ANNx.h,
	  src/foreign/jhead/exif.cpp: fixed some more const warnings

2008-01-28 07:21  dangelo

	* src/hugin1/base_wx/PTWXDlg.cpp: revert 2710. Patch to libpano13
	  is half-backed and I'll revert it too.

2008-01-28 06:23  btownshend

	* src/hugin1/base_wx/PTWXDlg.cpp: Added const qualifier to error
	  function to match expectations of latest revision of
	  libpano/filter.h

2008-01-27 23:10  dangelo

	* src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h,
	  src/hugin1/hugin/CPImageCtrl.cpp, src/hugin1/hugin/CPImageCtrl.h,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePanel.h, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/main_frame.xrc: Tried to fix layout problems
	  in CPEditor panel. Started to use custom XRC handlers
	  instead of unknown class in XRC (currently only CPEditorPanel,
	  CPImageCtrl, OptimizePanel).
	  Seems to work fine on wxGTK.

2008-01-27 19:57  ippei

	* mac/ExternalPrograms/scripts/wxmac28.sh,
	  mac/Hugin.xcodeproj/project.pbxproj, mac/localised.sh: Mac: Xcode
	  to build with wx28, CG disable hack enabled for all targets in
	  wx28 script

2008-01-27 19:56  ippei

	* mac/ExternalPrograms/scripts/gnumake.sh,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp: Mac: quick
	  gnumake fix

2008-01-27 18:07  dangelo

	* src/hugin1/base_wx/PTWXDlg.cpp,
	  src/hugin_base/panotools/PanoToolsInterface.cpp,
	  src/hugin_base/panotools/PanoToolsInterface.h: Made hugin compile
	  against released libpano13 again.

2008-01-27 17:12  dangelo

	* src/tools/nona.cpp: reverted to nona -v for verbose output. (I
	  changed from -q to -v some months ago, because it is the usual
	  behaviour of unix commandline tools).

2008-01-26 22:07  pooh22

	* src/foreign/ANN/perf.cpp: warning fix for gcc 4.2

2008-01-26 22:06  pooh22

	* src/hugin1/base_wx/PTWXDlg.cpp, src/hugin1/hugin/LensPanel.cpp:
	  fixes for hugin1 warnings with gcc 4.2
	  these can turn into errors when compiled with the latest
	  libpano13,
	  which has the same type of warning fixes (casting errors from
	  char* to
	  const char*)

2008-01-26 22:05  pooh22

	* src/hugin_base/panodata/Lens.cpp, src/hugin_base/panodata/Lens.h,
	  src/hugin_base/panodata/PTScriptParsing.cpp,
	  src/hugin_base/panodata/PTScriptParsing.h,
	  src/hugin_base/panodata/Panorama.cpp,
	  src/hugin_base/panotools/PanoToolsInterface.cpp,
	  src/hugin_base/test/open_file.cpp: fixes for hugin_base warnings
	  with gcc 4.2
	  these can turn into errors when compiled with the latest
	  libpano13,
	  which has the same type of warning fixes (casting errors from
	  char* to
	  const char*)

2008-01-25 12:29  pooh22

	* src/hugin1/hugin/OptimizePhotometricPanel.cpp: fix gcc 4.2
	  compiler warning

2008-01-25 12:22  pooh22

	* src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/LensPanel.h: fix
	  gcc 4.2 compiler warning

2008-01-25 12:21  pooh22

	* src/hugin1/hugin/AssistantPanel.cpp: fix gcc 4.2 compiler warning

2008-01-24 22:12  ippei

	* mac/ExternalPrograms/PutAutopanoSiftToHugin.applescript: this
	  thing really looks out of place doesn't it?

2008-01-24 22:11  ippei

	* mac/PutAutopanoSiftToHugin.applescript: this thing really looks
	  out of place doesn't it?

2008-01-24 22:04  ippei

	* mac/ExternalPrograms/scripts/wxmac27.sh: Sorry Harry, this is
	  probably the missing piece

2008-01-23 22:27  ippei

	* src/tools/nona.cpp: reverted to default to output progress; I
	  can't remember why but I think I changed it during GSoC

2008-01-23 22:25  ippei

	* mac/Hugin.xcodeproj/project.pbxproj, mac/complete-embed.sh,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/PanoPanel.cpp: Mac fix, some revert, output hack
	  not to overwrite files

2008-01-23 16:50  dangelo

	* src/hugin1/PT/PanoCommand.h: fixed gcc 4.2 compiler warning

2008-01-23 11:49  dangelo

	* src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/PanoPanel.cpp: applied only '[ 1876976 ] Fixes
	  for non-self-contained Mac app to compile' by Wim Lewis

2008-01-23 11:47  dangelo

	* src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPImageCtrl.cpp, src/hugin1/hugin/CPImageCtrl.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc: reverted revision 2687,
	  it accidentally included some work in progress changes

2008-01-23 06:41  dangelo

	* src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPImageCtrl.cpp, src/hugin1/hugin/CPImageCtrl.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc: applied patch [ 1876976
	  ] Fixes for non-self-contained Mac app to compile by Wim Lewis

2008-01-23 00:05  ippei

	* src/hugin1/base_wx/platform.h,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp: mac more fix
	  and a revert

2008-01-22 07:46  dangelo

	* src/tools/autooptimiser.cpp: Applied patch [ 1876926 ] avoid
	  truncation of auto scale by Wim Lewis, should fix issues with 0
	  sized output of autooptimizer

2008-01-21 23:54  btownshend

	* src/hugin_base/panodata/Panorama.cpp: On p-lines, only override
	  options that are explicitly set on line and otherwise leaves
	  options as reset in PanoramaOptions.h. As it was, there were
	  defaults in the code here overriding defaults set in
	  PanoramaOptions.h

2008-01-21 23:53  brunopostle

	* src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt: fdl license
	  file wasn't installed

2008-01-21 23:42  btownshend

	* src/tools/align_image_stack.cpp: Added -l option to signal linear
	  response input files.

2008-01-21 23:40  btownshend

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/NonaStitcherPanel.cpp: Changed last 2
	  occurrences of HUGIN_OSX_BUNDLED to MAC_SELF_CONTAINED_BUNDLE

2008-01-21 23:38  btownshend

	* CMakeModules/PackageMacAppBundleLibs.sh.in: Fixed typo in line
	  for enfuse
	  Exit if one of the copies fail.

2008-01-21 23:12  dangelo

	* CMakeLists.txt, platforms/windows/droplets/CMakeLists.txt:
	  install droplets into bin folder (patch by yuv)

2008-01-21 22:08  ippei

	* mac/Hugin.xcodeproj/project.pbxproj, mac/copyExifTool.sh,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/huginApp.cpp: further fix for mac. thanks for
	  reports

2008-01-21 20:56  ippei

	* mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/NonaStitcherPanel.cpp,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/huginApp.cpp:
	  hopefully fixes mac compile

2008-01-21 14:43  dangelo

	* src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/config_defaults.h,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  bugfix: exiftool copied image resolution (dpi), this broke
	  offsets in cropped tiffs

2008-01-21 09:18  dangelo

	* CMakeModules/FindSubversion.cmake: add the --non-interactive flag
	  to the svn invocations, to avoid an apparent hang if Subversion
	  tries to prompt for something (patch by Wim Lewis)

2008-01-21 09:00  pooh22

	* platforms/linux, platforms/linux/enfuse-raw.sh: added enfuse-raw
	  script

2008-01-20 23:08  brunopostle

	* src/hugin1/hugin/xrc/data/help_en_EN/LICENCE.manual: hugin is
	  GPL, hugin manual is GFDL with no cover texts or invariant
	  sections

2008-01-20 23:03  brunopostle

	* src/hugin1/hugin/xrc/data/help_en_EN/16bit_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Align_a_stack_of_photos.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Align_image_stack.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Alpha_channel.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Aspect_Ratio.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autooptimiser.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Banding.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Barrel_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Bracketing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/CCD.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Camera_response_curve.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Chromatic_aberration.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Color_correct_tiff.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Colour_profile.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Crop_factor.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cropped_TIFF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_panorama.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Depth_of_Field.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Dust_Removal_with_Flatfield.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Dynamic_range.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/EXIF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enblend.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Entrance_pupil.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Fisheye_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Focal_Length.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Freepv.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Fulla.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/GIF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Gamma.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Horizontal_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Assistant_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Camera_and_Lens_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_table.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Crop_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Exposure_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Keyboard_shortcuts.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Optimizer_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolation.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/JPEG.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Landscape.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lens_correction_model.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lens_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/NPP.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nadir.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/No-parallax_point.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nodal_Point.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nona.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nona_gui.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/OpenEXR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PNG.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PPI.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PSD.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTOptimizer.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTStitcher.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTblender.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTmender.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTtiff2psd.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pano12.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoinfo.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_formats.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_tools.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panotools.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Parallax.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pincushion_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pitch.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Portrait.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/QTVR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/RAW.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/RGBE.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Rectilinear_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Roll.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Spherical.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Stereographic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Straight_line_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/TIFF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Tone_mapping.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vertical_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vignetting.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Wavy_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Yaw.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Zenith.html: Update manual
	  pages from wiki.panotools.org, mostly just html shifting

2008-01-20 22:48  brunopostle

	* src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Add some extra
	  pages to the manual

2008-01-20 22:20  brunopostle

	* src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: resort list of
	  help pages, no actual changes

2008-01-20 20:25  erik_krause

	* platforms/windows/droplets/enfuse_align_droplet.bat:

2008-01-19 14:38  erik_krause

	* platforms/windows/droplets/collect_data_enblend.bat,
	  platforms/windows/droplets/collect_data_enfuse.bat,
	  platforms/windows/droplets/enblend_droplet.bat,
	  platforms/windows/droplets/enblend_droplet_360.bat,
	  platforms/windows/droplets/enfuse_align_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet_360.bat,
	  platforms/windows/droplets/exiftool_enblend_args.txt,
	  platforms/windows/droplets/exiftool_enfuse_args.txt,
	  platforms/windows/droplets/readme.txt:

2008-01-18 21:26  dangelo

	* src/hugin1/hugin/MainFrame.cpp: reversed patch that broke on gcc

2008-01-18 20:31  dangelo

	* CMakeLists.txt, CMakeModules/FindBoost.cmake,
	  src/hugin1/hugin/MainFrame.cpp: Win32: search boost in user
	  specified path first.

2008-01-17 16:34  dangelo

	* src/deghosting/hugin_hdrmerge.cpp, src/deghosting/khan.cpp:
	  hugin_hdrmerge use same image file name convention for avg and
	  khan mode

2008-01-17 12:43  dangelo

	* src/hugin_base/algorithms/external/PTStitcherStitcher.cpp,
	  src/hugin_base/algorithms/external/PTStitcherStitcher.h,
	  src/hugin_base/algorithms/external/PTmenderStitcher.cpp,
	  src/hugin_base/algorithms/external/PTmenderStitcher.h,
	  src/hugin_base/algorithms/external/to-be-added: Removed unused
	  files

2008-01-17 08:39  dangelo

	* src/hugin1/stitch_project/hugin_stitch_project.cpp: Fixed small
	  mistake that kept hugin_stitch_project running after a stitch has
	  completed

2008-01-17 06:21  dangelo

	* src/tools/nona.cpp: bugfix: nona always set compression=NONE

2008-01-16 22:27  pooh22

	* src/translations/nl.po: minor fixes and added a comment on
	  original text

2008-01-16 22:16  pooh22

	* src/hugin1/base_wx/platform.h: really fix gcc compile error

2008-01-16 21:25  dangelo

	* platforms/windows/droplets,
	  platforms/windows/droplets/enfuse_droplet.bat,
	  platforms/windows/droplets/enfuse_droplet_360.bat,
	  platforms/windows/droplets/readme.txt: Added enfuse droplets by
	  Erik Krause

2008-01-16 21:21  brunopostle

	* utils/autopano-noop.sh: suggest disabling auto align images on
	  loading

2008-01-16 21:20  dangelo

	* src/hugin1/base_wx/platform.h: fixed compilation with gcc

2008-01-16 21:03  brunopostle

	* AUTHORS: File was mixed utf-8/latin1, now utf-8

2008-01-16 19:09  dangelo

	* src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin_config.h.in.cmake: Try
	  to correctly execute HuginStitchProject.app, and avoid a
	  compilation error in hugin_stitch_project.cpp. (As always, I
	  don't have any chance to test the OSX code paths)

2008-01-16 16:20  dangelo

	* CMakeLists.txt, src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/stitch_project/CMakeLists.txt: automatically determine
	  INSTALL_OSX_BUNDLE_DIR (my system build only)

2008-01-16 14:04  dangelo

	* src/translations/fr.po: Updated french translation (Jean-Luc
	  Coulon)

2008-01-16 12:40  brunopostle

	* utils/autopano-noop.sh: Warning script for US based distributions
	  where SIFT isn't distributable

2008-01-16 09:45  dangelo

	* CMakeLists.txt, src/hugin1/hugin/CMakeLists.txt: Hopefully fixed
	  CMake scripts on OSX. Main probles was probably elseif where else
	  should have been used

2008-01-16 08:30  dangelo

	* CMakeModules/AppleRELEASEOptions.cmake,
	  CMakeModules/PackageMacAppBundleLibs.sh.in: applied patch to fix
	  the bundle creation (Harry van der Wolf)

2008-01-16 08:04  pooh22

	* src/translations/nl.po: updated nl.po, changed translation of
	  blend to blend instead of vermengen. Also fixed some other issues

2008-01-16 07:38  dangelo

	* src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/nona_gui/nona_gui.cpp,
	  src/hugin_base/algorithms/external/to-be-added/AutoCtrlPointCreator.cpp:
	  completely replaced HUGIN_OSX_BUNDLED defines with
	  MAC_SELF_CONTAINED_BUNDLE

2008-01-15 23:14  dangelo

	* src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/config_defaults.h,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h:
	  fixed exiftool makefile rules

2008-01-15 23:08  dangelo

	* src/hugin1/hugin/CMakeLists.txt: fixed small error

2008-01-15 23:04  dangelo

	* src/hugin1/hugin/xrc/cp_editor_panel.xrc: Removed minsize
	  attribute from image wxChoice in cp_editor_panel. with wxGTK, the
	  wxChoice showed only the upper half of the text. I hope this
	  doesn't break the layout on OSX.

2008-01-15 21:04  dangelo

	* src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/stitch_project/CMakeLists.txt: Tried to fix CMake OSX
	  scripts.

2008-01-15 18:45  dangelo

	* CMakeLists.txt, CMakeModules/win_bundle.cmake, INSTALL_cmake,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/CPEditorPanel.h, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/NonaStitcherPanel.cpp,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/huginApp.h,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/nona_gui/nona_gui.cpp,
	  src/hugin1/stitch_project/CMakeLists.txt,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_base/algorithms/external/to-be-added/AutoCtrlPointCreator.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  src/hugin_base/hugin_utils/platform.h,
	  src/hugin_config.h.in.cmake: Modified the CMake build system to
	  build a bare bones Hugin.app and a bare bones
	  HuginStitchProject.app.
	  To build a complete bundle, add -DMAC_SELF_CONTAINED_BUNDLE to
	  the cmake options, however, this is does not work yet.
	  This is all untested, as I don't have access to an OSX machine.

2008-01-15 13:06  ippei

	* mac/BuildConfig.xcconfig, mac/Hugin.xcodeproj/project.pbxproj,
	  mac/HuginVersion.xcconfig, mac/complete-bundle.sh,
	  mac/localised.sh, src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/huginApp.cpp, src/hugin_config_mac.h: Mac: a
	  quick build distinction work, Xcode build more portable with
	  reverted settings to wx-2.7 (sorry, but all untested, probably
	  breaks compilation)

2008-01-14 21:29  dangelo

	* src/translations/sk.po: Updated slovak translation (Jozef Riha)

2008-01-14 21:14  dangelo

	* src/hugin_base/panodata/SrcPanoImage.cpp: Set HFOV if both focal
	  length and crop factor have been supplied. (Old behavior of
	  readEXIF)

2008-01-14 20:19  dangelo

	* src/hugin_base/panodata/SrcPanoImage.cpp: fixed compilation
	  problem that occured when libexiv2 is not available

2008-01-13 22:24  dangelo

	* src/hugin1/PT/PanoImage.h, src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin_base/algorithms/basic/StraightenPanorama.cpp,
	  src/hugin_base/panodata/Lens.cpp, src/hugin_base/panodata/Lens.h,
	  src/hugin_base/panodata/Panorama.cpp,
	  src/hugin_base/panodata/Panorama.h,
	  src/hugin_base/panodata/PanoramaData.h,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h,
	  src/tools/align_image_stack.cpp, src/tools/autooptimiser.cpp:
	  Cleanup of some exif loading related code

2008-01-13 22:22  dangelo

	* src/hugin1/hugin/PanoPanel.cpp:

2008-01-13 22:20  dangelo

	* src/translations/de.po: updated german translation (J. Schneider)

2008-01-13 16:10  dangelo

	* CMakeModules/FindTIFF.cmake, CMakeModules/win_bundle.cmake:
	  Windows build: search for libTIFF 2.8.2, and add exiftool to the
	  installer

2008-01-12 23:43  dangelo

	* src/hugin1/hugin/PanoPanel.cpp: revert back to plain wxExecute on
	  Windows and OSX. At least on Windows, the workaround that fixed
	  the 100% cpu usage of hugin_stitch_project does not work.

2008-01-12 14:51  dangelo

	* src/foreign/vigra/vigra_impex/jpeg.cxx: set default jpeg quality
	  to 100

2008-01-12 14:40  dangelo

	* src/hugin1/hugin/LensPanel.cpp: removed some obselete code

2008-01-12 14:40  dangelo

	* src/hugin1/hugin/CPEditorPanel.cpp: workaround for the hidden
	  control point list on startup.

2008-01-12 12:42  dangelo

	* src/hugin1/hugin/LensPanel.cpp: do not restrict "load exif"
	  button to jpeg files if exiv2 is used.

2008-01-11 22:18  dangelo

	* CMakeLists.txt, CMakeModules/FindExiv2.cmake,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h: working exiv2 detection
	  for msvc build

2008-01-11 18:53  dangelo

	* src/hugin_base/panodata/PanoImage.h, src/hugin_config.h.in.cmake:
	  use EXIV2, if found (patch by Kornel Benko)

2008-01-11 18:45  dangelo

	* src/hugin1/PT/PanoCommand.h, src/hugin1/hugin/LensPanel.cpp:
	  fixed a possible crash when checking the "Link" checkboxes.

2008-01-11 18:44  dangelo

	* CMakeLists.txt, CMakeModules/FindBoost.cmake,
	  CMakeModules/FindMSGFMT.cmake, CMakeModules/FindOpenEXR.cmake,
	  CMakeModules/FindTIFF.cmake, src/hugin1/hugin/hugin_rc.rc,
	  src/hugin1/nona_gui/nona_gui_rc.rc,
	  src/hugin1/stitch_project/hugin_stitch_project_rc.rc,
	  src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  src/tools/fulla.cpp: fixes for compilation with MSVC 2008 Express
	  Edition

2008-01-11 17:34  dangelo

	* src/hugin_base/algorithms/optimizer/PhotometricOptimizer.cpp,
	  src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  src/hugin_base/nona/RemappedPanoImage.h,
	  src/hugin_base/photometric/ResponseTransform.h,
	  src/hugin_base/vigra_ext/lut.h: Fix problems with photometric
	  optimisation reported by MSVC 2008 debug build. This is related
	  to non-monotonious response curves that can occur during the
	  optimisation.

2008-01-11 17:03  dangelo

	* src/hugin_base/panotools/PanoToolsInterface.h,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp: disable
	  math defines in windows math.h to avoid clashes with wxWidgets
	  defines.

2008-01-11 08:38  dangelo

	* CMakeLists.txt, CMakeModules/FindExiv2.cmake, src/CMakeLists.txt,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h,
	  src/hugin_config.h.in.cmake: Added support for using exif2 (patch
	  by Gerry Patterson)

2008-01-09 16:38  dangelo

	* src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/translations/pl.po: added code to call exiftool to copy EXIF
	  data to the output files

2008-01-08 21:18  dangelo

	* src/hugin1/base_wx/huginConfig.cpp: added missing \ to makefiles
	  on windows

2008-01-07 22:52  brunopostle

	* src/hugin1/stitch_project/CMakeLists.txt,
	  src/hugin1/stitch_project/hugin_stitch_project.desktop: Add a
	  .desktop file for hugin_stitch_project

2008-01-05 17:44  dangelo

	* src/hugin1/base_wx/huginConfig.cpp: Changed handling of bundled
	  programs: OSX maybe bundled, Windows always bundled, unix never
	  bundled

2008-01-05 15:29  pooh22

	* src/translations/nl.po: improved dutch translation

2008-01-04 11:11  ippei

	* mac/Hugin-Info.plist: version code

2008-01-04 09:52  dangelo

	* src/tools/fulla.cpp: Don't apply compression if not specified

2008-01-04 07:59  dangelo

	* src/tools/fulla.cpp: Added option to specify compression level
	  (-e)

2008-01-03 21:04  dangelo

	* src/translations/nl.po: Updated dutch translation (Simon
	  Oosthoek)

2008-01-03 17:04  dangelo

	* src/hugin1/hugin/MainFrame.cpp: fixed fine tune all on 16 bit
	  images, avoid out of memory when finetuning large projects

2008-01-03 16:25  dangelo

	* AUTHORS, src/tools/align_image_stack.cpp: added fisheye support
	  to align image stack (based on patch by sebpz)

2008-01-03 14:40  ippei

	* mac/localised.sh: translation moved

2008-01-03 14:39  ippei

	* mac/complete-bundle.sh: reverted the change of bundling process,
	  blamed for weired stitch_project bug

2008-01-03 14:03  dangelo

	* src/hugin1/hugin/xrc/data/about.htm.in, src/translations/nl.po:
	  Updated dutch translation (by Simon Oosthoek)

2008-01-03 13:56  dangelo

	* src/hugin1/common/wxPlatform.h, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_base/nona/Stitcher.h,
	  src/hugin_base/panodata/PanoramaOptions.h: Fixed problems with
	  filenames containing dots (bug #1848419)

2008-01-03 13:53  dangelo

	* src/hugin_base/CMakeLists.txt,
	  src/hugin_base/hugin_utils/platform.cpp,
	  src/hugin_base/hugin_utils/platform.h, src/tools/nona.cpp:
	  Automatically determine number of threads, based on the CPU
	  cores.

2008-01-03 13:28  dangelo

	* src/hugin_base/hugin_utils/utils.h: fixed possible gcc 4.3
	  compiler errors (bug #1863135)

2008-01-03 12:47  dangelo

	* CMakeLists.txt, CMakeModules/FindSubversion.cmake: Fix problems
	  with localized subversion output during configuration step

2008-01-03 12:40  dangelo

	* src/hugin_base/hugin_utils/CMakeLists.txt: removed obselete file

2008-01-03 11:05  dangelo

	* src/hugin_base/hugin_utils/CMakeLists.txt: removed obselete file

2008-01-02 20:36  dangelo

	* src/hugin1/hugin/PanoPanel.cpp: allow spaces in project filename
	  (fixes bug 1862040)

2008-01-02 16:54  dangelo

	* src/translations/t: removed accidentally added file

2008-01-02 16:46  dangelo

	* src/CMakeLists.txt, src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/po, src/hugin1/nona_gui/CMakeLists.txt,
	  src/hugin1/nona_gui/nona_gui.cpp, src/hugin1/nona_gui/po,
	  src/hugin_base/hugin_utils/platform.h, src/translations,
	  src/translations/CMakeLists.txt, src/translations/POTFILES.in,
	  src/translations/README.txt, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/es.po, src/translations/extract-messages.sh,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/nl.po,
	  src/translations/pl.po, src/translations/pt_BR.po,
	  src/translations/ru.po, src/translations/sk.po,
	  src/translations/sv.po, src/translations/t,
	  src/translations/uk.po, src/translations/zh_CN.po: script to
	  update .po files from sources, merged translations of all
	  programs into a single .po file

2008-01-02 16:43  dangelo

	* CMakeLists.txt, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/xrc/data/about.htm.in,
	  src/hugin1/hugin/xrc/data/splash.png: Embed SVN version in splash
	  screen

2008-01-02 15:53  ippei

	* mac/ExternalPrograms/scripts/autopano-sift-C.sh,
	  mac/ExternalPrograms/scripts/lcms.sh,
	  mac/ExternalPrograms/scripts/static/pano12.sh,
	  mac/Hugin.xcodeproj/project.pbxproj, mac/HuginVersion.xcconfig,
	  mac/localised.sh, src/hugin1/hugin/PanoPanel.cpp: various Mac
	  updates

2008-01-01 16:15  dangelo

	* CMakeLists.txt, platforms/windows/msi/WixFragmentRegistry.wxs,
	  src/deghosting/hugin_hdrmerge.cpp,
	  src/hugin1/nona_gui/nona_gui.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_config.h.in.cmake, src/hugin_version.h.in.cmake,
	  src/tools/align_image_stack.cpp, src/tools/autooptimiser.cpp,
	  src/tools/fulla.cpp, src/tools/nona.cpp,
	  src/tools/vig_optimize.cpp: windows build system changes, added
	  separate hugin_version.h file to avoid recompilation of all files
	  at each update.

2008-01-01 13:53  dangelo

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp: allow autopano to work
	  with non-default temp path

2007-12-31 22:00  dmg

	* src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/PanoPanel.cpp:
	  reordered some header files inclusions. Fixes compilation
	  problems under os x 10.4 and fink

2007-12-31 19:14  dangelo

	* CMakeLists.txt, CMakeModules/FindJPEG.cmake,
	  CMakeModules/FindLibraryWithDebug.cmake,
	  CMakeModules/FindPNG.cmake,
	  CMakeModules/FindPackageHandleStandardArgs.cmake,
	  CMakeModules/FindTIFF.cmake, CMakeModules/FindZLIB.cmake,
	  CMakeModules/win_bundle.cmake,
	  platforms/windows/msi/WixFragmentRegistry.wxs,
	  src/CMakeLists.txt: Win32: Debug build with MSVC works now.

2007-12-30 19:22  dangelo

	* src/hugin1/hugin/PanoPanel.cpp: fixed 100% cpu consumption during
	  stitching on unix (cause found by Michal,
	  patch by Gerry Patterson)

2007-12-29 09:58  harryvanderwolf

	* src/hugin1/hugin/po/nl.po: dutch translation: corrected some
	  non-ascii characters

2007-12-29 03:40  ippei

	* mac/ExternalPrograms/PutAutopanoSiftToHugin.applescript,
	  mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh,
	  mac/complete-embed.sh, src/hugin1/hugin/CPListFrame.cpp,
	  src/hugin1/hugin/PanoPanel.cpp: Mac minor tweaks, linux compile
	  fix

2007-12-28 12:31  ippei

	* mac/Hugin-Info.plist, mac/Hugin.xcodeproj/project.pbxproj,
	  mac/base_wx-Info.plist, mac/complete-bundle.sh,
	  mac/hugin_base-Info.plist, mac/hugin_stitch_project-Info.plist,
	  mac/localised.sh, mac/vigra_impex-Info.plist,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/ImagesList.cpp, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/cp_list_frame.xrc,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h:
	  Mac Build.

2007-12-27 11:09  harryvanderwolf

	* src/hugin1/hugin/po/nl.po: updated dutch translation

2007-12-27 06:22  ippei

	* GSoC 2007: removed GSoC files as it's never been intended to be
	  included in the trunk

2007-12-27 05:44  ippei

	* mac/build_using_cmdline.sh, mac/build_using_cmdline.txt,
	  mac/install2bundle.sh: Mac: delete obsolete build files

2007-12-27 03:58  ippei

	* mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/ilmbase.sh,
	  mac/ExternalPrograms/scripts/lcms.sh,
	  mac/ExternalPrograms/scripts/libglew.sh,
	  mac/ExternalPrograms/scripts/libjpeg.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/libtiff.sh,
	  mac/ExternalPrograms/scripts/libxmi.sh,
	  mac/ExternalPrograms/scripts/openexr14.sh,
	  mac/ExternalPrograms/scripts/openexr16.sh,
	  mac/ExternalPrograms/scripts/pano12.sh,
	  mac/ExternalPrograms/scripts/pano13.sh,
	  mac/ExternalPrograms/scripts/static,
	  mac/ExternalPrograms/scripts/static/boost.sh,
	  mac/ExternalPrograms/scripts/static/ilmbase.sh,
	  mac/ExternalPrograms/scripts/static/lcms.sh,
	  mac/ExternalPrograms/scripts/static/libglew.sh,
	  mac/ExternalPrograms/scripts/static/libjpeg.sh,
	  mac/ExternalPrograms/scripts/static/libpng.sh,
	  mac/ExternalPrograms/scripts/static/libtiff.sh,
	  mac/ExternalPrograms/scripts/static/libxmi.sh,
	  mac/ExternalPrograms/scripts/static/openexr14.sh,
	  mac/ExternalPrograms/scripts/static/openexr16.sh,
	  mac/ExternalPrograms/scripts/static/pano12.sh,
	  mac/ExternalPrograms/scripts/static/pano13.sh,
	  mac/ExternalPrograms/scripts/static/wxmac26.sh,
	  mac/ExternalPrograms/scripts/static/wxmac27.sh,
	  mac/ExternalPrograms/scripts/static/wxmac28.sh,
	  mac/ExternalPrograms/scripts/wxmac26.sh,
	  mac/ExternalPrograms/scripts/wxmac27.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh: Mac external: shared
	  library builds

2007-12-19 08:19  dangelo

	* src/hugin1/hugin/xrc/data/.about.htm.in.swp,
	  src/hugin1/hugin/xrc/data/about.htm.in: added missing
	  about.htm.in file

2007-12-19 06:26  btownshend

	* src/deghosting/khan.cpp, src/foreign/jhead/exif.cpp,
	  src/foreign/vigra/vigra_impex/tiff.cxx,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin_base/vigra_ext/ReduceOpenEXR.h,
	  src/tools/autooptimiser.cpp, src/tools/vig_optimize.cpp: Fixed
	  some minor compiler warnings that occur on mac, mostly unsigned
	  int/int comparisions and unused variables

2007-12-18 21:00  dangelo

	* CMakeLists.txt, platforms/windows/msi/hugin.warsetup,
	  src/hugin1/hugin/xrc/data/.about.htm.in.swp,
	  src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/about.htm,
	  src/hugin1/hugin/xrc/data/about_fr.htm,
	  src/hugin1/hugin/xrc/data/about_pl.htm,
	  src/hugin_config.h.in.cmake, src/tools/align_image_stack.cpp:
	  only embedd svn version if .svn directory exists. (partly based
	  on patch by GWP)

2007-12-18 16:53  dangelo

	* src/hugin_base/hugin_utils/utils.cpp,
	  src/hugin_base/panodata/Panorama.cpp: fixed stack overwrites
	  possible use of uninitialized values (bug 1849175)

2007-12-17 10:40  dangelo

	* src/hugin_base/hugin_math/hugin_math.h: Fix compilation on linux
	  (Kornel Benko)

2007-12-17 08:23  dangelo

	* src/hugin_base/panodata/Panorama.cpp: synchronize dirty flag

2007-12-17 08:23  dangelo

	* CMakeLists.txt, platforms/windows/msi/hugin.warsetup: updated msi
	  installer

2007-12-17 08:22  dangelo

	* src/deghosting/hugin_hdrmerge.cpp,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/NonaOptionsDialog.cpp,
	  src/hugin_base/hugin_math/hugin_math.h,
	  src/hugin_base/vigra_ext/Correlation.h: Fixed compilation
	  problems with MSVC

2007-12-14 14:22  dangelo

	* src/hugin1/hugin/MainFrame.cpp, src/hugin_config.h.in.cmake:
	  fixed installation on unix

2007-12-14 13:40  dangelo

	* src/hugin1/hugin/huginApp.cpp: compile fix for unix platforms

2007-12-14 09:31  dangelo

	* CMakeLists.txt, CMakeModules/FindPANO13.cmake,
	  CMakeModules/win_bundle.cmake, platforms/windows/msi/hugin 0.7
	  beta 4.warsetup, platforms/windows/msi/hugin.warsetup,
	  src/deghosting/hugin_hdrmerge.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/CMakeLists.txt, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/RunStitcherFrame.cpp,
	  src/hugin1/hugin/config_defaults.h,
	  src/hugin1/hugin/huginApp.cpp, src/hugin1/hugin/huginApp.h,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_config.h.in.cmake, src/tools/autooptimiser.cpp,
	  src/tools/fulla.cpp, src/tools/nona.cpp,
	  src/tools/vig_optimize.cpp: updates for compiling with MSVC, and
	  building an installer with Warsetup

2007-12-11 17:19  dangelo

	* src/tools/align_image_stack.cpp: really unlink HFOV

2007-12-11 17:17  dangelo

	* src/hugin_base/appbase/ProgressDisplayOld.cpp: fixed possible
	  crash in progress reporter (thanks to Tom Sharpless for the hint)

2007-12-11 17:08  dangelo

	* src/tools/align_image_stack.cpp: unlink HFOV, if -m option is
	  given

2007-12-09 20:44  dangelo

	* src/foreign/vigra/vigra_impex/hdr.cxx,
	  src/hugin_base/nona/Stitcher.h, src/tools/align_image_stack.cpp:
	  updated to latest version of align_image_stack from pre_gsoc
	  branch,
	  and expanded functionality: support for 16 bit and float images,
	  ability to optimize HFOV as well.

2007-12-09 06:21  btownshend

	* src/hugin_base/vigra_ext/Correlation.h: Fixed handling of
	  correlation computation when either of the patches being compared
	  are perfectly uniform.
	  Previously, this would create a 0/0 situations resulting in a NaN
	  that propagated to the final control point values.
	  Also fixed a few places where possible divide-by-zeroes could
	  occur.

2007-12-07 23:47  btownshend

	* src/hugin_base/panodata/Panorama.cpp: Added missing spaces for
	  new #hugin output lines

2007-12-07 18:04  btownshend

	* src/foreign/levmar/lmlec_core.c: Added 'vis' argument to
	  LEVMAR_DIF call for compiles when HAVE_LAPACK is defined.

2007-12-07 12:47  dangelo

	* src/hugin1/tools/align_image_stack.cpp,
	  src/hugin1/tools/align_img_stack.vcproj,
	  src/hugin1/tools/autooptimiser.cpp,
	  src/hugin1/tools/autooptimiser.vcproj,
	  src/hugin1/tools/fulla.cpp, src/hugin1/tools/fulla.vcproj,
	  src/hugin1/tools/nona.cpp, src/hugin1/tools/nona.vcproj,
	  src/hugin1/tools/vig_optimize.cpp,
	  src/hugin1/tools/vig_optimize.vcproj: removed obselete programs

2007-12-07 12:42  dangelo

	* src/tools/align_image_stack.cpp: added align_image_stack, enabled
	  processing of 16 bit images

2007-12-07 12:42  dangelo

	* src/hugin1/base_wx/platform.cpp,
	  src/hugin_base/vigra_ext/Correlation.h,
	  src/hugin_base/vigra_ext/FitPolynom.h, src/tools/CMakeLists.txt:
	  added align_image_stack, enabled processing of 16 bit images

2007-12-06 21:41  ippei

	* mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h:
	  Mac: compile fix

2007-12-06 18:00  dangelo

	* src/hugin_base/algorithms/point_sampler/PointSampler.cpp: fixed
	  bug in photometric optimisation (correctly handle input images of
	  different size
	  and avoid used freed memory). Thanks to Brent for the patch.

2007-12-02 11:39  ippei

	* mac/ExternalPrograms/scripts/enblend31.sh: add enfuse to
	  executable merging

2007-12-02 00:39  ippei

	* mac/ExternalPrograms/scripts/libtiff.sh: x86_64 config header fix

2007-12-01 14:24  ippei

	* mac/ExternalPrograms/scripts/SetEnv-leopard.txt: removed
	  non-standard tune option

2007-12-01 13:55  ippei

	* mac/ExternalPrograms/scripts/LICENSE.txt,
	  mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal-TigerOnly.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/darwin_mod.jam,
	  mac/ExternalPrograms/scripts/enblend31.sh,
	  mac/ExternalPrograms/scripts/ilmbase.sh,
	  mac/ExternalPrograms/scripts/lcms.sh,
	  mac/ExternalPrograms/scripts/libglew.sh,
	  mac/ExternalPrograms/scripts/libjpeg.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/libtiff.sh,
	  mac/ExternalPrograms/scripts/libxmi.sh,
	  mac/ExternalPrograms/scripts/openexr.sh,
	  mac/ExternalPrograms/scripts/openexr14.sh,
	  mac/ExternalPrograms/scripts/openexr16.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh: Mac ExternalLib scripts:
	  OpenEXR16, enblend31, leopard & 64bit, license, boost-thread,
	  wx28 to use QD with 10.3.9 SDK

2007-12-01 12:00  dmg

	* CMakeLists.txt: Fixed typos in cmake script

2007-11-28 23:43  brunopostle

	* src/hugin1/hugin/po/it.po: Build fix, remove surplus \n

2007-11-28 21:04  dangelo

	* AUTHORS, src/hugin1/hugin/po/POTFILES.in,
	  src/hugin1/hugin/po/it.po, src/hugin1/hugin/xrc/data/about.htm,
	  src/hugin1/nona_gui/po/LINGUAS,
	  src/hugin1/nona_gui/po/POTFILES.in, src/hugin1/nona_gui/po/it.po:
	  updated italian translation (Milo Casagrande). Changed paths to
	  source files
	  to allow usage of intltool-update. That cannot yet deal with the
	  strings
	  inside the .xrc files, though.

2007-11-28 20:42  dangelo

	* src/hugin1/hugin/NonaOptionsDialog.cpp,
	  src/hugin1/hugin/NonaOptionsDialog.h: forgot to add

2007-11-26 21:53  pcrowley5286

	* CMakeModules/AppleRELEASEOptions.cmake,
	  CMakeModules/PackageMacAppBundleLibs.sh.in,
	  src/hugin1/hugin/CMakeLists.txt: Initial add of mac build files
	  for release.

2007-11-25 00:10  dangelo

	* src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/NonaStitcherPanel.cpp,
	  src/hugin1/hugin/NonaStitcherPanel.h,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  src/hugin_base/nona/Stitcher.h,
	  src/hugin_base/panodata/Panorama.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h: Reorganized Panorama
	  panel, clarify output modes, allow choosing
	  output image type, support for new enfuse utility.

2007-11-23 07:11  dangelo

	* src/hugin_base/nona/Stitcher.h: fixed failure on JPEG, TIFF and
	  PNG output types, bug #1833833

2007-11-17 22:06  dangelo

	* src/hugin1/hugin/MainFrame.cpp: ask before overwriting existing
	  project files with "Save as" function

2007-11-17 22:02  dangelo

	* src/hugin1/CMakeLists.txt: fixed possible CMake parse error
	  (Kornel Benko)

2007-11-17 20:30  dangelo

	* CMakeLists.txt, CMakeModules/FindBoost.cmake,
	  CMakeModules/FindOpenEXR.cmake, INSTALL_cmake,
	  src/CMakeLists.txt: Use different FindBoost macro, should detect
	  the boost_thread library
	  with -mt suffix.

2007-11-15 23:27  dangelo

	* CMakeLists.txt, CMakeModules/FindOpenEXR.cmake,
	  CMakeModules/FindZLIB.cmake: merged in some CMakeLists changes
	  for easier MSVC build from Tom Sharpless

2007-11-15 22:49  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp: fixed crash when
	  cancelling the execution of the process

2007-11-15 22:27  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h: use a wxTextCtrl
	  for display command output. There seems to be now way to avoid
	  the flicker on wxGTK,
	  short of writing a own widget tailored to display this kind of
	  text.

2007-11-14 07:08  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp: Reworked cmd
	  line execute dialog. Works under windows, but probably consumes
	  100% cpu under
	  linux.

2007-11-13 21:13  brunopostle

	* CMakeLists.txt: Don't bundle .so.0.0 files in the source tarball

2007-11-11 01:09  dangelo

	* src/hugin1/CMakeLists.txt: fixed CMake error on non Win32
	  platforms

2007-11-11 01:04  dangelo

	* src/hugin1/CMakeLists.txt, src/hugin1/panoinc_WX.h: (MSVC) fixed
	  compilation against unicode wxWidgets

2007-11-11 01:02  dangelo

	* CMakeLists.txt, CMakeModules/FindJPEG.cmake,
	  CMakeModules/FindMSGFMT.cmake, CMakeModules/FindOpenEXR.cmake,
	  CMakeModules/FindPANO13.cmake, CMakeModules/FindPNG.cmake,
	  CMakeModules/FindTIFF.cmake, CMakeModules/FindZLIB.cmake: Added
	  improved CMake Find scripts by Thomas Sharpless.
	  The *_DEBUG_* variables are however not yet used in the
	  MSVC build, this needs further changes to the CMakeLists.txt
	  files inside the source directories

2007-11-10 07:24  dangelo

	* src/hugin1/base_wx/CMakeLists.txt,
	  src/hugin1/base_wx/platform.cpp: another fix for OSX.

2007-11-10 00:39  dangelo

	* src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/MainFrame.cpp: fixed compilation error on OSX,
	  thanks to Brent for the patch.

2007-11-10 00:38  dangelo

	* src/hugin_base/huginapp/ImageCache.cpp: fixed reading of 16 bit
	  image files

2007-11-09 06:07  dangelo

	* src/tools/nona.cpp: applied patch by Seb, slightly extended to
	  allow specification of the
	  tiff compression type

2007-11-07 20:53  dangelo

	* src/hugin1/base_wx/platform.h, src/hugin1/hugin/huginApp.h: tried
	  to fix compilation on Mac

2007-11-05 06:57  dangelo

	* src/tools/fulla.cpp: fulla: fixed crash on saving (patch by
	  Michal)

2007-11-05 06:36  dangelo

	* src/hugin1/base_wx/platform.cpp, src/hugin1/base_wx/platform.h:
	  forgot to add new files...

2007-11-03 18:40  dangelo

	* src/hugin1/base_wx/CMakeLists.txt, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp: Move bundle
	  functions into base_wx, should fix compilation of
	  hugin_stitch_project on OSX.

2007-11-03 10:09  dangelo

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp: fixed conflict
	  appeared when developing on separate unix and win32 trees.

2007-11-03 09:01  dangelo

	* src/hugin1/hugin/po/sk.po: updated Slovak translation by Jozef
	  Riha

2007-11-01 12:01  tksharpless

	* src/hugin1/hugin/MainFrame.cpp: cosmetic fix to satisfy MSVC8

2007-11-01 00:03  dangelo

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp: fixed error
	  when running autopano kolor

2007-11-01 00:02  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h: wxProcess does not
	  work in wxMSW as it works on Mac and Unix.
	  Output of the child process can't be captured, trying to use
	  a standard windows console to execute, but make.exe executes
	  without console, while autopano does.

2007-10-30 23:15  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp: Use
	  wxInputStream::CanRead() instead of wxProcess::IsInputAvailable()
	  to check for output
	  from the child process. IsInputAvailable() uses polling and
	  consumes as much CPU as it can get.
	  Autopano run from within hugin should be twice as fast now.
	  Disabled running the programs in an external xterm.

2007-10-29 22:37  dangelo

	* src/hugin1/stitch_project/hugin_stitch_project.cpp: Add directory
	  of hugin_stitch_project exectuable to path, required
	  for finding the other binaries such as make etc.

2007-10-29 22:36  dangelo

	* src/hugin1/hugin/AutoCtrlPointCreator.cpp: fixed autopano kolor
	  call on Win32

2007-10-29 20:00  dangelo

	* CMakeLists.txt: added more CPack ignore patterns

2007-10-29 19:20  dangelo

	* src/deghosting/CMakeLists.txt: revert previous change

2007-10-28 22:24  dangelo

	* src/deghosting/hugin_hdrmerge.cpp, src/deghosting/jbu.cpp,
	  src/deghosting/jbu.h, src/deghosting/khan.cpp,
	  src/deghosting/khan.h, src/deghosting/khanSupport.cpp,
	  src/hugin1/PT/ImageGraph.h, src/hugin1/PT/PTOptimise.h,
	  src/hugin1/PT/PanoCommand.h, src/hugin1/PT/PanoImage.h,
	  src/hugin1/PT/PanoToolsInterface.h, src/hugin1/PT/Panorama.h,
	  src/hugin1/PT/PanoramaMemento.h,
	  src/hugin1/PT/PhotometricOptimizer.h,
	  src/hugin1/PT/RandomPointSampler.h,
	  src/hugin1/PT/RemappedPanoImage.h,
	  src/hugin1/PT/SpaceTransform.h, src/hugin1/PT/Stitcher.h,
	  src/hugin1/PT/Transforms.h, src/hugin1/PT/utils.h,
	  src/hugin1/base_wx/ImageCache.cpp,
	  src/hugin1/base_wx/ImageCache.h,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  src/hugin1/base_wx/MyProgressDialog.cpp,
	  src/hugin1/base_wx/MyProgressDialog.h,
	  src/hugin1/base_wx/PTWXDlg.cpp, src/hugin1/base_wx/PTWXDlg.h,
	  src/hugin1/base_wx/Plot2D.cpp, src/hugin1/base_wx/Plot2D.h,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/base_wx/huginConfig.h, src/hugin1/common/Command.h,
	  src/hugin1/common/Matrix3.h, src/hugin1/common/PTLensDB.h,
	  src/hugin1/common/Vector3.h, src/hugin1/common/eig_jacobi.h,
	  src/hugin1/common/graph.h, src/hugin1/common/lu.h,
	  src/hugin1/common/math.h, src/hugin1/common/platform.h,
	  src/hugin1/common/stl_utils.h, src/hugin1/common/utils.h,
	  src/hugin1/common/wxPlatform.h, src/hugin1/config.h,
	  src/hugin1/hugin/AnchorPositionCtrl.h,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AssistantPanel.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.h,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h,
	  src/hugin1/hugin/CPEditorPanelHandler.h,
	  src/hugin1/hugin/CPEditorTest.h,
	  src/hugin1/hugin/CPFineTuneFrame.cpp,
	  src/hugin1/hugin/CPFineTuneFrame.h,
	  src/hugin1/hugin/CPImageCtrl.cpp, src/hugin1/hugin/CPImageCtrl.h,
	  src/hugin1/hugin/CPListFrame.cpp, src/hugin1/hugin/CPListFrame.h,
	  src/hugin1/hugin/CPZoomDisplayPanel.cpp,
	  src/hugin1/hugin/CPZoomDisplayPanel.h,
	  src/hugin1/hugin/CommandHistory.cpp,
	  src/hugin1/hugin/CommandHistory.h,
	  src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/CropPanel.h,
	  src/hugin1/hugin/HFOVDialog.cpp, src/hugin1/hugin/HFOVDialog.h,
	  src/hugin1/hugin/ImageProcessing.h,
	  src/hugin1/hugin/ImagesList.cpp, src/hugin1/hugin/ImagesList.h,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/LensPanel.h,
	  src/hugin1/hugin/LocalizedFileTipProvider.cpp,
	  src/hugin1/hugin/LocalizedFileTipProvider.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	  src/hugin1/hugin/NonaStitcherPanel.cpp,
	  src/hugin1/hugin/NonaStitcherPanel.h,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePanel.h,
	  src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.h,
	  src/hugin1/hugin/PTStitcherPanel.cpp,
	  src/hugin1/hugin/PTStitcherPanel.h,
	  src/hugin1/hugin/PanoDruid.cpp, src/hugin1/hugin/PanoDruid.h,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreferencesDialog.h,
	  src/hugin1/hugin/PreviewFrame.cpp,
	  src/hugin1/hugin/PreviewFrame.h,
	  src/hugin1/hugin/PreviewPanel.cpp,
	  src/hugin1/hugin/PreviewPanel.h,
	  src/hugin1/hugin/RunStitcherFrame.cpp,
	  src/hugin1/hugin/RunStitcherFrame.h,
	  src/hugin1/hugin/StitcherPanel.h,
	  src/hugin1/hugin/TextKillFocusHandler.cpp,
	  src/hugin1/hugin/TextKillFocusHandler.h,
	  src/hugin1/hugin/UniversalCursor.cpp,
	  src/hugin1/hugin/UniversalCursor.h,
	  src/hugin1/hugin/VigCorrDialog.cpp,
	  src/hugin1/hugin/VigCorrDialog.h,
	  src/hugin1/hugin/config_defaults.h,
	  src/hugin1/hugin/huginApp.cpp, src/hugin1/hugin/huginApp.h,
	  src/hugin1/hugin/win_prep.h, src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin1/hugin/wxPanoCommand.h,
	  src/hugin1/nona_gui/nona_gui.cpp, src/hugin1/panoinc.h,
	  src/hugin1/panoinc_WX.h,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin1/tests/test_projections.cpp,
	  src/hugin1/tools/align_image_stack.cpp,
	  src/hugin1/tools/automatch.cpp,
	  src/hugin1/tools/autooptimiser.cpp,
	  src/hugin1/tools/color_correct_tiff.cpp,
	  src/hugin1/tools/fulla.cpp, src/hugin1/tools/img2vips.cpp,
	  src/hugin1/tools/nona.cpp, src/hugin1/tools/vig_optimize.cpp,
	  src/hugin1/tools/zhang_undistort.cpp,
	  src/hugin1/tools_vips/hdrmerge_vips.cpp,
	  src/hugin1/tools_vips/img2vips.cpp,
	  src/hugin_base/algorithm/ControlPointCreatorAlgorithm.h,
	  src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  src/hugin_base/algorithm/StitcherAlgorithm.h,
	  src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  src/hugin_base/algorithms/basic/CalculateMeanExposure.h,
	  src/hugin_base/algorithms/basic/CalculateOptimalScale.h,
	  src/hugin_base/algorithms/basic/RotatePanorama.h,
	  src/hugin_base/algorithms/basic/StraightenPanorama.h,
	  src/hugin_base/appbase/Command.h,
	  src/hugin_base/appbase/CommandHistory.h,
	  src/hugin_base/appbase/DocumentData.h,
	  src/hugin_base/appbase/ExternalProgram.cpp,
	  src/hugin_base/appbase/ExternalProgram.h,
	  src/hugin_base/appbase/ExternalProgramSetup.cpp,
	  src/hugin_base/appbase/ExternalProgramSetup.h,
	  src/hugin_base/appbase/ProgressDisplay.cpp,
	  src/hugin_base/appbase/ProgressDisplay.h,
	  src/hugin_base/appbase/ProgressDisplayOld.cpp,
	  src/hugin_base/appbase/ProgressDisplayOld.h,
	  src/hugin_base/appbase/ProgressReporterOld.cpp,
	  src/hugin_base/appbase/ProgressReporterOld.h,
	  src/hugin_base/hugin_basic.h,
	  src/hugin_base/hugin_math/Matrix3.cpp,
	  src/hugin_base/hugin_math/Matrix3.h,
	  src/hugin_base/hugin_math/Transforms.h,
	  src/hugin_base/hugin_math/Vector3.cpp,
	  src/hugin_base/hugin_math/Vector3.h,
	  src/hugin_base/hugin_math/eig_jacobi.cpp,
	  src/hugin_base/hugin_math/eig_jacobi.h,
	  src/hugin_base/hugin_math/graph.cpp,
	  src/hugin_base/hugin_math/graph.h,
	  src/hugin_base/hugin_math/hugin_math.h,
	  src/hugin_base/hugin_math/lu.h,
	  src/hugin_base/hugin_utils/platform.h,
	  src/hugin_base/hugin_utils/stl_utils.h,
	  src/hugin_base/hugin_utils/utils.cpp,
	  src/hugin_base/hugin_utils/utils.h,
	  src/hugin_base/huginapp/CachedImageRemapper.cpp,
	  src/hugin_base/huginapp/CachedImageRemapper.h,
	  src/hugin_base/huginapp/ImageCache.cpp,
	  src/hugin_base/huginapp/ImageCache.h,
	  src/hugin_base/huginapp/PanoCommand.h,
	  src/hugin_base/nona/ImageRemapper.h,
	  src/hugin_base/nona/RemappedPanoImage.h,
	  src/hugin_base/nona/SpaceTransform.cpp,
	  src/hugin_base/nona/SpaceTransform.h,
	  src/hugin_base/nona/Stitcher.cpp, src/hugin_base/nona/Stitcher.h,
	  src/hugin_base/nona/Stitcher1.cpp,
	  src/hugin_base/nona/Stitcher2.cpp,
	  src/hugin_base/nona/Stitcher3.cpp,
	  src/hugin_base/nona/Stitcher4.cpp,
	  src/hugin_base/panodata/ControlPoint.cpp,
	  src/hugin_base/panodata/ControlPoint.h,
	  src/hugin_base/panodata/DestPanoImage.h,
	  src/hugin_base/panodata/Lens.cpp, src/hugin_base/panodata/Lens.h,
	  src/hugin_base/panodata/PTScriptParsing.cpp,
	  src/hugin_base/panodata/PTScriptParsing.h,
	  src/hugin_base/panodata/PanoImage.cpp,
	  src/hugin_base/panodata/PanoImage.h,
	  src/hugin_base/panodata/Panorama.cpp,
	  src/hugin_base/panodata/Panorama.h,
	  src/hugin_base/panodata/PanoramaData.h,
	  src/hugin_base/panodata/PanoramaOptions.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panodata/PanoramaVariable.cpp,
	  src/hugin_base/panodata/PanoramaVariable.h,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h,
	  src/hugin_base/panotools/PanoToolsInterface.cpp,
	  src/hugin_base/panotools/PanoToolsInterface.h,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.h,
	  src/hugin_base/photometric/ResponseTransform.h,
	  src/hugin_base/test/open_file.cpp,
	  src/hugin_base/vigra_ext/Correlation.h,
	  src/hugin_base/vigra_ext/FitPolynom.h,
	  src/hugin_base/vigra_ext/FunctorAccessor.h,
	  src/hugin_base/vigra_ext/HDRUtils.h,
	  src/hugin_base/vigra_ext/ImageTransforms.h,
	  src/hugin_base/vigra_ext/Interpolators.h,
	  src/hugin_base/vigra_ext/MultiLayerImage.h,
	  src/hugin_base/vigra_ext/MultiThreadOperations.cpp,
	  src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  src/hugin_base/vigra_ext/NearestFeatureTransform.h,
	  src/hugin_base/vigra_ext/Pyramid.h,
	  src/hugin_base/vigra_ext/ROIImage.h,
	  src/hugin_base/vigra_ext/RansacParameterEstimator.h,
	  src/hugin_base/vigra_ext/ReduceOpenEXR.h,
	  src/hugin_base/vigra_ext/ResponseTransform.h,
	  src/hugin_base/vigra_ext/VigQuotientEstimator.h,
	  src/hugin_base/vigra_ext/VignettingCorrection.h,
	  src/hugin_base/vigra_ext/blend.h,
	  src/hugin_base/vigra_ext/emor.cpp,
	  src/hugin_base/vigra_ext/emor.h, src/hugin_base/vigra_ext/lut.h,
	  src/hugin_base/vigra_ext/pyramid2.h,
	  src/hugin_base/vigra_ext/ransac.h,
	  src/hugin_base/vigra_ext/tiffUtils.h,
	  src/hugin_base/vigra_ext/utils.h, src/tools/autooptimiser.cpp,
	  src/tools/fulla.cpp, src/tools/nona.cpp,
	  src/tools/vig_optimize.cpp: Enabled $Id$ keyword on own source
	  files

2007-10-28 22:08  dangelo

	* src/deghosting/CMakeLists.txt, src/deghosting/hugin_hdrmerge.cpp,
	  src/deghosting/jbu.cpp, src/deghosting/jbu.h,
	  src/deghosting/khan.cpp: link only to mininal set of libraries,
	  tries to work around a mingw build problem

2007-10-28 10:41  dangelo

	* AUTHORS: updated authors

2007-10-28 10:28  dangelo

	* platforms, platforms/windows, platforms/windows/msi,
	  platforms/windows/msi/WixFragmentEnblend.wxs,
	  platforms/windows/msi/WixFragmentRegistry.wxs,
	  platforms/windows/msi/big_banner.bmp,
	  platforms/windows/msi/big_banner.png,
	  platforms/windows/msi/big_banner.psd, platforms/windows/msi/hugin
	  0.7 beta 4 Win Setup.wxs, platforms/windows/msi/hugin 0.7 beta
	  4.warsetup, platforms/windows/msi/top_banner.bmp,
	  platforms/windows/msi/top_banner.psd: Added new platforms
	  directory, for platform-specific setup things.
	  I haven't moved the mac directory there, because there might
	  be relative paths pointing to the hugin sources etc. in there.

2007-10-27 08:17  dangelo

	* CMakeModules/FindOpenEXR.cmake: fixed OpenEXR detection to deal
	  with older, non threaded version of OpenEXR

2007-10-27 07:59  dangelo

	* CMakeModules/FindOpenEXR.cmake, src/CMakeLists.txt,
	  src/foreign/CMakeLists.txt, src/hugin1/PT/Panorama.h,
	  src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  src/hugin_base/algorithm/StitcherAlgorithm.h,
	  src/hugin_base/algorithms/nona/NonaFileStitcher.cpp,
	  src/hugin_base/algorithms/nona/NonaFileStitcher.h: trying to
	  compile on mingw

2007-10-27 00:18  dangelo

	* CMakeModules/FindMSGFMT.cmake, CMakeModules/FindOpenEXR.cmake:
	  need to link against IlmThread. Avoid creating duplicate rules
	  for
	  hugin and nona_gui translation targets

2007-10-26 23:40  dangelo

	* src/foreign/getopt/CMakeLists.txt: forgot to add required file
	  for Win32

2007-10-26 23:04  dangelo

	* src/hugin1/nona_gui/CMakeLists.txt: fixed unix build

2007-10-26 22:50  dangelo

	* CMakeLists.txt, INSTALL: specify better paths for windows install

2007-10-26 22:47  dangelo

	* src/CMakeLists.txt, src/deghosting/CMakeLists.txt,
	  src/deghosting/hugin_hdrmerge.cpp, src/deghosting/khan.cpp,
	  src/deghosting/khanSupport.cpp, src/foreign/CMakeLists.txt,
	  src/foreign/getopt/include/getopt.h,
	  src/foreign/vigra/vigra_impex/exr.cxx, src/hugin1/PT/Panorama.h,
	  src/hugin1/PT/PhotometricOptimizer.h,
	  src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin1/hugin/CMakeLists.txt, src/hugin1/hugin/CPImageCtrl.h,
	  src/hugin1/hugin/CPListFrame.cpp, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreviewFrame.cpp,
	  src/hugin1/hugin/RunStitcherFrame.cpp,
	  src/hugin1/hugin/VigCorrDialog.cpp,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/tips.txt,
	  src/hugin1/nona_gui/CMakeLists.txt,
	  src/hugin1/stitch_project/CMakeLists.txt,
	  src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  src/hugin_base/algorithms/nona/FitPanorama.cpp,
	  src/hugin_base/algorithms/optimizer/PTOptimizer.cpp,
	  src/hugin_base/algorithms/optimizer/PhotometricOptimizer.cpp,
	  src/hugin_base/algorithms/optimizer/PhotometricOptimizer.h,
	  src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  src/hugin_base/appbase/ProgressDisplayOld.cpp,
	  src/hugin_base/hugin_math/hugin_math.h,
	  src/hugin_base/nona/Stitcher.cpp, src/hugin_base/nona/Stitcher.h,
	  src/hugin_base/nona/Stitcher4.cpp,
	  src/hugin_base/panodata/PanoramaData.h,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panotools/PanoToolsInterface.h,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  src/hugin_base/vigra_ext/Interpolators.h,
	  src/hugin_base/vigra_ext/ResponseTransform.h,
	  src/tools/CMakeLists.txt, src/tools/autooptimiser.cpp,
	  src/tools/vig_optimize.cpp: Made code and CMake build system
	  compatible to MSVC.
	  Tested with MSVC 2003

2007-10-26 20:29  brunopostle

	* src/hugin1/PT/RemappedPanoImage.h, src/hugin1/hugin/po/pt_BR.po,
	  src/hugin1/hugin/xrc/vig_corr_dlg.xrc,
	  src/hugin1/nona_gui/po/pt_BR.po,
	  src/hugin1/tools/color_correct_tiff.cpp,
	  src/hugin1/tools/img2vips.cpp,
	  src/hugin1/tools_vips/img2vips.cpp,
	  src/hugin_base/vigra_ext/MultiLayerImage.h,
	  src/hugin_base/vigra_ext/VignettingCorrection.h: Remove
	  svn:executable property from more source files

2007-10-26 20:25  brunopostle

	* src/hugin1/PT/PhotometricOptimizer.h,
	  src/hugin1/hugin/LocalizedFileTipProvider.cpp,
	  src/hugin1/hugin/PTStitcherPanel.h,
	  src/hugin1/hugin/VigCorrDialog.cpp,
	  src/hugin1/hugin/VigCorrDialog.h,
	  src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin_base/algorithms/optimizer/PhotometricOptimizer.h,
	  src/hugin_base/nona/ImageRemapper.h,
	  src/hugin_base/nona/RemappedPanoImage.h,
	  src/hugin_base/nona/Stitcher1.cpp,
	  src/hugin_base/nona/Stitcher2.cpp,
	  src/hugin_base/nona/Stitcher3.cpp,
	  src/hugin_base/nona/Stitcher4.cpp,
	  src/hugin_base/vigra_ext/HDRUtils.h,
	  src/hugin_base/vigra_ext/ImageTransforms.h,
	  src/hugin_base/vigra_ext/MultiThreadOperations.cpp,
	  src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  src/hugin_base/vigra_ext/ROIImage.h: Remove svn:executable
	  property from source files

2007-10-26 12:04  dangelo

	* src/hugin1/hugin/CPListFrame.cpp: Fixed crash on startup due to
	  sorting an empty wxListCtrl

2007-10-26 11:46  dangelo

	* src/hugin1/hugin/xrc/data/icon.png: Added missing icon

2007-10-25 19:52  dangelo

	* src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/config_defaults.h: execute external command line
	  programs with xterm (only on Unix)

2007-10-24 20:27  dangelo

	* hugin/branches/ippei, .: moved branches/ippei to trunk

2007-10-24 19:30  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/INSTALL_cmake,
	  hugin/branches/ippei/src/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/CMakeLists.txt: added option to
	  force static internal libraries, fixed link order

2007-10-24 19:29  dangelo

	* hugin/branches/ippei/src/hugin_base/nona/Stitcher.h: bugfix: save
	  real gray value image instead of null pointer

2007-10-24 19:28  dangelo

	* hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h:
	  properly added EXR output to functions querying file extensions
	  for formats

2007-10-24 17:25  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  added rules for "No Blending", just uses PTroller to slap the
	  images on top of each other

2007-10-24 17:24  dangelo

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp:
	  bugfix: correctly read output types from project file

2007-10-24 14:49  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/ANN/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/jhead/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/base_wx/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/CMakeLists.txt:
	  add soversion to the internal libraries

2007-10-23 23:10  dangelo

	* hugin/branches/ippei/CMakeLists.txt: updated CPack exclude
	  patterns

2007-10-23 22:36  dangelo

	* hugin/branches/ippei/src/hugin1/nona_gui/CMakeLists.txt: Actually
	  install nona_gui

2007-10-23 21:50  dangelo

	* hugin/branches/ippei/src/hugin_base/nona/Stitcher.h: fixed
	  non-cropped output (it accidentally contained the offset of
	  cropped output)

2007-10-23 21:25  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt:
	  install all files required for display of the manual

2007-10-23 21:08  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/jhead/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/algorithm/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/platform.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.h,
	  hugin/branches/ippei/utils/mergepto: Better handling of DATADIR
	  and HUGINDATADIR in CMake files

2007-10-23 21:03  dangelo

	* hugin/branches/ippei/src/foreign/ANN/ANN.h: allow switching ANN
	  to DLL via CMakeFiles.txt

2007-10-23 21:01  dangelo

	* hugin/branches/ippei/src/hugin_base/hugin_utils/utils.cpp: small
	  fix for windows compilation

2007-10-23 21:00  dangelo

	* hugin/branches/ippei/src/hugin1/nona_gui/po/CMakeLists.txt:
	  install nona_gui locale files

2007-10-23 20:59  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/CMakeLists.txt: install
	  various desktop files (unix)

2007-10-23 20:57  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/CMakeLists.txt:
	  install icon (unix)

2007-10-23 20:57  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/hugin.png,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/icon.png: install
	  icon (unix)

2007-10-23 20:56  dangelo

	* hugin/branches/ippei/doc/CMakeLists.txt: install some
	  documentation

2007-10-23 15:39  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/PanoPanel.cpp: Name output
	  after pto file

2007-10-23 15:38  dangelo

	* hugin/branches/ippei/src/hugin1/stitch_project/hugin_stitch_project.cpp:
	  correctly handle relative output filenames

2007-10-23 15:37  dangelo

	* hugin/branches/ippei/src/hugin_base/vigra_ext/ReduceOpenEXR.h:
	  compile against new api

2007-10-23 15:37  dangelo

	* hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.cpp:
	  Forgot to add EXR output names

2007-10-23 15:36  dangelo

	* hugin/branches/ippei/src/CMakeLists.txt,
	  hugin/branches/ippei/src/deghosting,
	  hugin/branches/ippei/src/deghosting/hugin_hdrmerge.cpp,
	  hugin/branches/ippei/src/deghosting/jbu.cpp,
	  hugin/branches/ippei/src/deghosting/jbu.h,
	  hugin/branches/ippei/src/deghosting/khan.cpp,
	  hugin/branches/ippei/src/deghosting/khan.h,
	  hugin/branches/ippei/src/deghosting/khanSupport.cpp: Added
	  deghosting program by Jing

2007-10-23 12:35  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/INSTALL_cmake,
	  hugin/branches/ippei/src/foreign/ANN/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/jhead/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/base_wx/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/CMakeLists.txt:
	  Possibility to set library dir suffix, use shared internal
	  libraries (Unix and OSX only)

2007-10-23 12:34  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhk,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhp:
	  Install Manual from wiki

2007-10-22 21:32  dangelo

	* hugin/branches/ippei/src/hugin1/base_wx/huginConfig.cpp,
	  hugin/branches/ippei/src/hugin1/base_wx/huginConfig.h: added
	  missing files

2007-10-22 21:12  dangelo

	* hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp:
	  work around a small bug in libpano13 that could creep up when
	  trying to disable the robust estimation during geometric
	  optimisation by removing the "m2" in the m line.

2007-10-22 21:10  dangelo

	* hugin/branches/ippei/src/tools/nona.cpp: Added -v and removed -q
	  option

2007-10-22 21:09  dangelo

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h:
	  Changed Console progress display to a simpler one line message,
	  which is hopefully better behaved than the old multiple line
	  message

2007-10-22 21:08  dangelo

	* hugin/branches/ippei/src/CMakeLists.txt: removed double directory

2007-10-22 21:07  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Ignore return code of rm in "clean" target of the panorama
	  makefile

2007-10-22 21:04  dangelo

	* hugin/branches/ippei/src/hugin1/stitch_project,
	  hugin/branches/ippei/src/hugin1/stitch_project/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  hugin/branches/ippei/src/hugin1/stitch_project/hugin_stitch_project_rc.rc:
	  added hugin_stitch_project executable, to stitch a pto file using
	  the new makefile system

2007-10-22 21:02  dangelo

	* hugin/branches/ippei/src/hugin1/PT/utils.h,
	  hugin/branches/ippei/src/hugin1/nona_gui/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/nona_gui/nona_gui.cpp: moved
	  basic wxWidgets functions into separate directory

2007-10-22 21:01  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/AssistantPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/CPEditorPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CPImageCtrl.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CPImageCtrl.h,
	  hugin/branches/ippei/src/hugin1/hugin/CropPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CropPanel.h,
	  hugin/branches/ippei/src/hugin1/hugin/ImagesList.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/ImagesPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/LensPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/MainFrame.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/NonaStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/OptimizePanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PTStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PanoPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PreviewPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PreviewPanel.h,
	  hugin/branches/ippei/src/hugin1/hugin/VigCorrDialog.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/VigCorrDialog.h,
	  hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/wxPanoCommand.cpp: moved
	  basic wxWidgets functions into separate directory

2007-10-22 20:59  dangelo

	* hugin/branches/ippei/src/hugin1/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/base_wx,
	  hugin/branches/ippei/src/hugin1/base_wx/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/base_wx/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin1/base_wx/ImageCache.h,
	  hugin/branches/ippei/src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  hugin/branches/ippei/src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  hugin/branches/ippei/src/hugin1/base_wx/MyProgressDialog.cpp,
	  hugin/branches/ippei/src/hugin1/base_wx/MyProgressDialog.h,
	  hugin/branches/ippei/src/hugin1/base_wx/PTWXDlg.cpp,
	  hugin/branches/ippei/src/hugin1/base_wx/PTWXDlg.h,
	  hugin/branches/ippei/src/hugin1/base_wx/Plot2D.cpp,
	  hugin/branches/ippei/src/hugin1/base_wx/Plot2D.h,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/src/hugin1/hugin/MyExternalCmdExecDialog.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/MyExternalCmdExecDialog.h,
	  hugin/branches/ippei/src/hugin1/hugin/MyProgressDialog.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/MyProgressDialog.h,
	  hugin/branches/ippei/src/hugin1/hugin/PTWXDlg.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PTWXDlg.h,
	  hugin/branches/ippei/src/hugin1/hugin/Plot2D.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/Plot2D.h: moved basic
	  wxWidgets functions into separate directory

2007-10-21 02:06  dangelo

	* hugin/branches/ippei/CMakeLists.txt: Added CPack support by Bruno
	  Postle

2007-10-21 01:45  dangelo

	* hugin/branches/ippei/CMakeModules/FindPANO12.cmake: fall back to
	  pano12, if pano13 is not available

2007-10-21 01:45  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/src/CMakeLists.txt: fall back to pano12, if
	  pano13 is not available

2007-10-21 01:32  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/PreviewPanel.cpp: Display
	  global crop in Preview window

2007-10-21 01:30  dangelo

	* hugin/branches/ippei/src/hugin_base/nona/Stitcher.h: Respect new,
	  global crop (S parameter in p line), when outputting to
	  traditional, "uncropped" TIFF_m

2007-10-21 01:00  dangelo

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp: Set
	  new output options to a sensible default. It should be possible
	  to load old projects and produce output now.

2007-10-15 20:39  dangelo

	* hugin/branches/ippei/src/foreign/ANN/Copyright.txt,
	  hugin/branches/ippei/src/foreign/ANN/License.txt,
	  hugin/branches/ippei/src/foreign/ANN/ReadMe.txt: added ANN ReadMe
	  and license files

2007-10-15 20:30  dangelo

	* hugin/branches/ippei/src/hugin_base/CMakeLists.txt: forgot to
	  commit file

2007-10-14 22:13  dangelo

	* hugin/branches/ippei/src/tools/autooptimiser.cpp: changed
	  options. Geometric optimisation is now optional. Useful if only
	  the straighten function should be applied.

2007-10-14 22:12  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/CMakeLists.txt:
	  CMakeLists.txt for the help (not finished yet)

2007-10-14 22:11  dangelo

	* hugin/branches/ippei/src/foreign/ANN,
	  hugin/branches/ippei/src/foreign/ANN/ANN.cpp,
	  hugin/branches/ippei/src/foreign/ANN/ANN.h,
	  hugin/branches/ippei/src/foreign/ANN/ANNperf.h,
	  hugin/branches/ippei/src/foreign/ANN/ANNx.h,
	  hugin/branches/ippei/src/foreign/ANN/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/ANN/bd_fix_rad_search.cpp,
	  hugin/branches/ippei/src/foreign/ANN/bd_pr_search.cpp,
	  hugin/branches/ippei/src/foreign/ANN/bd_search.cpp,
	  hugin/branches/ippei/src/foreign/ANN/bd_tree.cpp,
	  hugin/branches/ippei/src/foreign/ANN/bd_tree.h,
	  hugin/branches/ippei/src/foreign/ANN/brute.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_dump.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_fix_rad_search.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_fix_rad_search.h,
	  hugin/branches/ippei/src/foreign/ANN/kd_pr_search.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_pr_search.h,
	  hugin/branches/ippei/src/foreign/ANN/kd_search.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_search.h,
	  hugin/branches/ippei/src/foreign/ANN/kd_split.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_split.h,
	  hugin/branches/ippei/src/foreign/ANN/kd_tree.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_tree.h,
	  hugin/branches/ippei/src/foreign/ANN/kd_util.cpp,
	  hugin/branches/ippei/src/foreign/ANN/kd_util.h,
	  hugin/branches/ippei/src/foreign/ANN/perf.cpp,
	  hugin/branches/ippei/src/foreign/ANN/pr_queue.h,
	  hugin/branches/ippei/src/foreign/ANN/pr_queue_k.h,
	  hugin/branches/ippei/src/foreign/CMakeLists.txt: Added ANN
	  library. It will be required by the future builtin control point
	  matcher

2007-10-14 22:07  dangelo

	* hugin/branches/ippei/src/tools/CMakeLists.txt: Install the tools

2007-10-14 22:00  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/nona/ComputeImageROI.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/ComputeImageROI.h:
	  added option to render only a subset of the full panorama image.
	  Crop tool in preview window still missing though.

2007-10-14 21:55  dangelo

	* hugin/branches/ippei/doc/nona.txt,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PanoPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PanoPanel.h,
	  hugin/branches/ippei/src/hugin1/hugin/PreviewPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PreviewPanel.h,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/pano_panel.xrc,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.h,
	  hugin/branches/ippei/src/hugin_base/nona/ImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/nona/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h:
	  added option to render only a subset of the full panorama image.
	  Crop tool in preview window still missing though.

2007-10-14 21:52  dangelo

	* hugin/branches/ippei/src/tools/nona.cpp: new command line option
	  to specify pixel type of the remapped images. Fixed -i option

2007-10-14 21:49  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/hugin_math.h,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.h,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/Correlation.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ImageTransforms.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/VigQuotientEstimator.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/VignettingCorrection.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/utils.h: namespace
	  and formatting changes

2007-10-14 21:43  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CenterHorizontally.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.cpp:
	  namespace and formatting changes

2007-10-14 21:42  dangelo

	* hugin/branches/ippei/src/hugin1/PT/Panorama.h: namespace changes

2007-10-14 21:41  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/wxPanoCommand.cpp: change
	  to TIFF_m when loading a project file. Output formats are now
	  defined by the makefile workflow.

2007-10-14 21:39  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/Plot2D.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/Plot2D.h: namespace changes

2007-10-14 21:38  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/MainFrame.cpp: catch errors
	  during saving a project file

2007-10-14 21:37  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/HFOVDialog.cpp: namespace
	  changes

2007-10-14 21:36  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/CPEditorPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CPEditorPanel.h,
	  hugin/branches/ippei/src/hugin1/hugin/CPImageCtrl.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CPImageCtrl.h: namespace
	  changes

2007-10-14 21:35  dangelo

	* hugin/branches/ippei/src/foreign/vigra/vigra/error.hxx: print
	  exceptions to console

2007-10-14 21:34  dangelo

	* hugin/branches/ippei/src/foreign/vigra/vigra/impex.hxx: vigra
	  image export: Disabled automatic rescaling of color values when
	  pixel types in memory and file differ

2007-10-14 21:32  dangelo

	* hugin/branches/ippei/CMakeModules/fix_osx_xrc.cmake: OSX related
	  CMake module (patching of XRC files)

2007-10-14 21:25  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/src/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_config.h.in.cmake: added checks
	  for libpano12. Build vigra_impex for static linkage (important
	  for windows binaries)

2007-10-02 14:55  ippei

	* hugin/branches/ippei/GSoC 2007/Presentation 2/about Beyond Hugin
	  (recorded).txt: movie file updated

2007-10-01 05:42  dangelo

	* hugin/branches/ippei/src/hugin_base/nona/Stitcher.h: save icc
	  profile in TIFF_m output (patch #1805263)

2007-10-01 05:36  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/OptimizePhotometricPanel.cpp:
	  fixed bug/patch #1805259

2007-09-24 22:15  ippei

	* hugin/branches/ippei/GSoC 2007/Presentation 1/Revising
	  Architecture (recorded).mov, hugin/branches/ippei/GSoC
	  2007/Presentation 1/about Revising Architecture (recorded).txt,
	  hugin/branches/ippei/GSoC 2007/Presentation 2/Beyond Hugin
	  (recorded).mov, hugin/branches/ippei/GSoC 2007/Presentation
	  2/about Beyond Hugin (recorded).txt: movies moved to
	  panotools.org server

2007-08-23 16:10  ippei

	* hugin/branches/ippei/CMakeLists.txt: commented out pano12 module
	  which cannot be found

2007-08-23 16:05  ippei

	* hugin/branches/ippei/src/tools/nona.cpp: nona command line
	  arguments and help

2007-08-23 16:04  ippei

	* hugin/branches/ippei/src/hugin1/common/platform.h,
	  hugin/branches/ippei/src/hugin1/hugin/PanoPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/platform.h: the
	  function was already there in the right place

2007-08-20 22:52  ippei

	* hugin/branches/ippei/mac/Hugin-Info.plist,
	  hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj:
	  building a release build for preview

2007-08-20 22:32  ippei

	* hugin/branches/ippei/GSoC 2007/Presentation 1/Revising
	  Architecture.pdf: any trouble with this file?

2007-08-20 22:30  ippei

	* hugin/branches/ippei/GSoC 2007/Presentation 1/Revising
	  Architecture printable.pdf: any trouble with this file?

2007-08-20 17:00  ippei

	* hugin/branches/ippei/GSoC 2007/GSoC 2007 files.txt: readme

2007-08-20 15:32  ippei

	* hugin/branches/ippei/GSoC 2007, hugin/branches/ippei/GSoC
	  2007/Presentation 1, hugin/branches/ippei/GSoC 2007/Presentation
	  1/Revising Architecture (recorded).mov, hugin/branches/ippei/GSoC
	  2007/Presentation 1/Revising Architecture printable.pdf,
	  hugin/branches/ippei/GSoC 2007/Presentation 1/Revising
	  Architecture.pdf, hugin/branches/ippei/GSoC 2007/Presentation 2,
	  hugin/branches/ippei/GSoC 2007/Presentation 2/Beyond Hugin
	  (recorded).mov, hugin/branches/ippei/GSoC 2007/Presentation
	  2/Beyond Hugin printable.pdf, hugin/branches/ippei/GSoC
	  2007/Presentation 2/Beyond Hugin.pdf, hugin/branches/ippei/GSoC
	  2007/Presentation 2/about Beyond Hugin (recorded).txt: GSoC 2007
	  files

2007-08-20 14:50  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext/ReduceOpenEXR.h:
	  another merge forgot to commit

2007-08-20 13:47  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj:
	  updating xcode proj

2007-08-20 13:47  ippei

	* hugin/branches/ippei/src/hugin1/PT/utils.h,
	  hugin/branches/ippei/src/hugin1/hugin/MainFrame.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h:
	  Last bits of merge from trunk

2007-08-20 13:26  ippei

	* hugin/branches/ippei/src/tools/nona.cpp: Merged nona from trunk

2007-08-20 12:59  ippei

	* hugin/branches/ippei/src/foreign/vigra/vigra_impex/codecmanager.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/exr.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/iccjpeg.c,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/jpeg.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/png.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/tiff.cxx,
	  hugin/branches/ippei/src/hugin1/common/platform.h,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/src/hugin1/hugin/MainFrame.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/MyExternalCmdExecDialog.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/platform.h,
	  hugin/branches/ippei/src/hugin_base/nona/ImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h:
	  Fixed the merge, at least compiles and launches now.

2007-08-17 19:25  ippei

	* hugin/branches/ippei/TODO,
	  hugin/branches/ippei/src/hugin_base/algorithms/TODO.txt: more
	  documentation

2007-08-17 19:14  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin2,
	  hugin/branches/ippei/src/hugin_base/TODO.txt,
	  hugin/branches/ippei/src/hugin_qtbase/TODO.txt,
	  hugin/branches/ippei/src/munin, hugin/branches/ippei/whitepaper,
	  hugin/branches/ippei/whitepaper/Beyond Hugin printable.pdf,
	  hugin/branches/ippei/whitepaper/Beyond Hugin.pdf: more
	  documentation

2007-08-17 17:25  ippei

	* hugin/branches/ippei/src/hugin2: restructuring qt-based framework

2007-08-17 17:24  ippei

	* hugin/branches/ippei/src/hugin2,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_qtbase,
	  hugin/branches/ippei/src/hugin_qtbase/FiletypePTO.h,
	  hugin/branches/ippei/src/hugin_qtbase/HuginDocument.h,
	  hugin/branches/ippei/src/hugin_qtbase/HuginDocumentViewLayout.h,
	  hugin/branches/ippei/src/hugin_qtbase/HuginDocumentViewLayoutProfile.h,
	  hugin/branches/ippei/src/hugin_qtbase/HuginDocumentViewManager.h,
	  hugin/branches/ippei/src/hugin_qtbase/HuginModule.h,
	  hugin/branches/ippei/src/hugin_qtbase/HuginModuleManager.h,
	  hugin/branches/ippei/src/hugin_qtbase/PanoramaDocument.qt.h,
	  hugin/branches/ippei/src/hugin_qtbase/PanoramaModule.h,
	  hugin/branches/ippei/src/hugin_qtbase/qtappbase,
	  hugin/branches/ippei/src/hugin_qtbase/qtappbase/QADocumentController.cpp,
	  hugin/branches/ippei/src/hugin_qtbase/qtappbase/QADocumentTemplate.h,
	  hugin/branches/ippei/src/hugin_qtbase/qtappbase/QAExternalProgram.qt.h,
	  hugin/branches/ippei/src/hugin_qtbase/qtappbase/QAFiletype.qt.h,
	  hugin/branches/ippei/src/hugin_qtbase/readme.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/HQDocument.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/HQLayoutManager.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/HQLayoutProfile.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/HQModule.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/HQViewManager.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/document
	  manager.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/document
	  template.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/document.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/file type.txt,
	  hugin/branches/ippei/src/hugin_qtbase/whitepaper/hugin2-architecture.txt,
	  hugin/branches/ippei/src/munin: restructuring qt-based framework

2007-08-14 09:06  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp: fixed
	  conflict

2007-08-14 08:52  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/CPEditorPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/Hugin.icns,
	  hugin/branches/ippei/src/hugin1/hugin/HuginFiles.icns,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/src/hugin1/hugin/MainFrame.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/MainFrame.h,
	  hugin/branches/ippei/src/hugin1/hugin/Makefile.am,
	  hugin/branches/ippei/src/hugin1/hugin/PanoPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/PanoPanel.h,
	  hugin/branches/ippei/src/hugin1/hugin/config_defaults.h,
	  hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/huginApp.h,
	  hugin/branches/ippei/src/hugin1/hugin/po/ca_ES.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/cs_CZ.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/de.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/es.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/fr.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/hu.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/hugin.pot,
	  hugin/branches/ippei/src/hugin1/hugin/po/it.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/ja.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/nl.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/pl.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/pt_BR.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/ru.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/sk.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/sv.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/uk.po,
	  hugin/branches/ippei/src/hugin1/hugin/po/zh_CN.po,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/dewiki.pl,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/fetch.sh,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/pages.txt,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/splash.png,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/pano_panel.xrc: merged
	  changes from branch (hugin GUI code only). not tested

2007-08-14 08:23  dangelo

	* hugin/branches/ippei/src/foreign/vigra/vigra/codec.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/imageinfo.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/windows.h,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/codecmanager.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/exr.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/exr.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/iccjpeg.c,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/imageinfo.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/jpeg.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/png.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/tiff.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/tiff.hxx:
	  updated vigra to changes in trunk

2007-07-31 16:38  ippei

	* hugin/branches/ippei/src/hugin2/FiletypePTO.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewLayout.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewManager.h,
	  hugin/branches/ippei/src/hugin2/PanoramaDocument.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocument.cpp,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocument.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentController.cpp,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentController.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentTemplate.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAFiletype.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAFiletype.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAUndoStack.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAUndoStack.qt.h:
	  started implementing the API

2007-07-30 16:03  ippei

	* hugin/branches/ippei/src/hugin2/HuginDocument.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewLayout.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewManager.h,
	  hugin/branches/ippei/src/hugin2/HuginModule.h,
	  hugin/branches/ippei/src/hugin2/PanoramaDocument.qt.h,
	  hugin/branches/ippei/src/hugin2/PanoramaModule.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QACommandAdaptor.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentTemplate.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAUndoStack.h,
	  hugin/branches/ippei/src/hugin2/whitepaper/HQViewManager.txt: All
	  the header drafts are written.

2007-07-27 18:24  ippei

	* hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h:
	  forgot some file

2007-07-27 17:27  ippei

	* hugin/branches/ippei/src/hugin2/HuginModule.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentController.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentTemplate.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAFiletype.h: some
	  minor update

2007-07-27 17:07  ippei

	* hugin/branches/ippei/src/hugin2/FiletypePTO.h,
	  hugin/branches/ippei/src/hugin2/HuginDocument.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewLayout.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewLayoutProfile.h,
	  hugin/branches/ippei/src/hugin2/HuginDocumentViewManager.h,
	  hugin/branches/ippei/src/hugin2/HuginModule.h,
	  hugin/branches/ippei/src/hugin2/HuginModuleManager.h,
	  hugin/branches/ippei/src/hugin2/PanoramaDocument.qt.h,
	  hugin/branches/ippei/src/hugin2/hugin2-architecture.png,
	  hugin/branches/ippei/src/hugin2/hugin2-architecture.txt,
	  hugin/branches/ippei/src/hugin2/qtappbase/QACommandAdaptor.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocument.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentController.qt.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QADocumentTemplate.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/QAFiletype.h,
	  hugin/branches/ippei/src/hugin2/qtappbase/document manager.txt,
	  hugin/branches/ippei/src/hugin2/qtappbase/document.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper,
	  hugin/branches/ippei/src/hugin2/whitepaper/HQDocument.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/HQLayoutManager.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/HQLayoutProfile.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/HQModule.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/HQViewManager.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/document manager.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/document template.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/document.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/file type.txt,
	  hugin/branches/ippei/src/hugin2/whitepaper/hugin2-architecture.png,
	  hugin/branches/ippei/src/hugin2/whitepaper/hugin2-architecture.txt:
	  initial work on new GUI framework interface

2007-07-27 15:38  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/CPEditorPanel.cpp: stupid
	  bug

2007-07-27 15:36  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/CPEditorPanel.cpp: disable
	  fine tune and estimate if a vert/horizontal control point is
	  added to th
	  e same image.

2007-07-27 15:21  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/OptimizePanel.cpp: output
	  standard deviation, not variance

2007-07-26 19:54  dangelo

	* hugin/branches/ippei/src/tools/autooptimiser.cpp: optimize
	  variables in pto file if not specified otherwise

2007-07-25 22:56  ippei

	* hugin/branches/ippei/src/hugin1/PT/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp: Debug
	  warning sorted

2007-07-25 21:47  ippei

	* hugin/branches/ippei/src/hugin1/hugin1.pch: precomp wx even when
	  hugin_precomp is not set; allows precompiling only wx

2007-07-25 21:14  ippei

	* hugin/branches/ippei/src/hugin1/hugin/xrc/about.xrc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/about.htm: about
	  dialog size and copyright year

2007-07-25 17:06  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.h:
	  fixed calculate fov algorithm

2007-07-25 14:01  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/src/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/CMakeLists.txt: allow compilation
	  of hugin1 using cmake

2007-07-25 14:00  dangelo

	* hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp: better method
	  to find location of hugin

2007-07-24 10:56  ippei

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Field_of_view.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PanoTools.html:
	  removed the problem with file system case sensitivity

2007-07-24 10:49  ippei

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panorama_Tools.html:
	  removed the problem with file system case sensitivity

2007-07-23 22:08  ippei

	* hugin/branches/ippei/mac/Hugin-Info.plist,
	  hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/mac/nona_gui-Info.plist,
	  hugin/branches/ippei/src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp: update from
	  the trunk

2007-07-23 16:51  ippei

	* hugin/branches/ippei/src/hugin2,
	  hugin/branches/ippei/src/hugin2/hugin2-architecture.png,
	  hugin/branches/ippei/src/hugin2/hugin2-architecture.txt,
	  hugin/branches/ippei/src/hugin2/qtappbase,
	  hugin/branches/ippei/src/hugin2/qtappbase/document type.txt,
	  hugin/branches/ippei/src/hugin2/qtappbase/document viewer.txt,
	  hugin/branches/ippei/src/hugin_base/qtappbase: new GUI design
	  white paper

2007-07-21 11:15  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin1/hugin1.pch,
	  hugin/branches/ippei/src/hugin_base/hugin_base.pch,
	  hugin/branches/ippei/src/hugin_base/nona.pch,
	  hugin/branches/ippei/src/hugin_base/panodata.pch: precomp on Mac

2007-07-21 11:12  ippei

	* hugin/branches/ippei/src/hugin1/PT/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ResponseTransform.h:
	  broken something earlier

2007-07-21 10:18  ippei

	* hugin/branches/ippei/src/foreign/VIGRA_LICENSE,
	  hugin/branches/ippei/src/foreign/vigra/VIGRA_LICENSE,
	  hugin/branches/ippei/src/hugin1/PT/Stitcher.h,
	  hugin/branches/ippei/src/hugin1/tools/fulla.cpp,
	  hugin/branches/ippei/src/hugin_base/test/CMakeLists.txt,
	  hugin/branches/ippei/src/tools/CMakeLists.txt: files somehow left
	  behind last night

2007-07-20 22:44  ippei

	* hugin/branches/ippei/src/hugin1/PT/RandomPointSampler.h: fulla
	  error hopefully fixes

2007-07-20 22:40  ippei

	* hugin/branches/ippei/src/hugin1/PT/RandomPointSampler.h: fulla
	  error hopefully fixes

2007-07-20 22:38  ippei

	* hugin/branches/ippei/src/hugin1/tools/CMakeLists.txt: linking
	  error with fulla

2007-07-20 22:28  ippei

	* hugin/branches/ippei/src/hugin1/PT/RandomPointSampler.h: fixed
	  the compatibility proglem

2007-07-20 22:22  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin1/PT/SpaceTransform.h,
	  hugin/branches/ippei/src/hugin1/tools/fulla.cpp: another newline
	  thingy and old fulla fixed

2007-07-20 21:23  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/src/hugin_base/CMakeLists.txt: guess work on
	  CMake files

2007-07-18 16:55  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/Lens.cpp: fabs()
	  instead of abs()

2007-07-18 15:51  ippei

	* hugin/branches/ippei/src/hugin_base/test/autooptimiser.cpp,
	  hugin/branches/ippei/src/hugin_base/test/fulla.cpp,
	  hugin/branches/ippei/src/hugin_base/test/nona.cpp,
	  hugin/branches/ippei/src/hugin_base/test/vig_optimize.cpp,
	  hugin/branches/ippei/src/tools,
	  hugin/branches/ippei/src/tools/autooptimiser.cpp,
	  hugin/branches/ippei/src/tools/fulla.cpp,
	  hugin/branches/ippei/src/tools/nona.cpp,
	  hugin/branches/ippei/src/tools/vig_optimize.cpp: moved out ported
	  tools

2007-07-18 09:04  dangelo

	* hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.cpp:
	  fixed possible problem with rotate flag detection in EXIF data

2007-07-17 20:41  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp:
	  one more newline thingy

2007-07-17 19:23  dangelo

	* hugin/branches/ippei/src/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/lensdb/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/vigra/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/CMakeLists.txt: added some
	  more CMake files to compile hugin_base

2007-07-17 19:21  dangelo

	* hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_basic.h,
	  hugin/branches/ippei/src/hugin_base/test/nona.cpp: fixed some
	  compile problems/typos

2007-07-17 17:57  dangelo

	* hugin/branches/ippei/CMakeModules/HuginMacros.cmake: added
	  missing cmake macro

2007-07-17 14:37  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext/TODO.txt,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/utils.h: TODO done

2007-07-17 14:34  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext/utils.h: maybe this
	  would fix the problem with fulla on Linux..

2007-07-17 14:29  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: xcode
	  project update

2007-07-17 14:02  ippei

	* hugin/branches/ippei/src/hugin1/common/Matrix3.h,
	  hugin/branches/ippei/src/hugin1/config.h,
	  hugin/branches/ippei/src/hugin_base/algorithm.pch,
	  hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/RotatePanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CenterHorizontally.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CenterHorizontally.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/nona.pch,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PTScriptParsing.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/HDRUtils.h: newline
	  at end of file

2007-07-17 14:01  ippei

	* hugin/branches/ippei/mac/Hugin.icns,
	  hugin/branches/ippei/mac/HuginFiles.icns,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h,
	  hugin/branches/ippei/src/hugin_config_mac.h: bug fixes

2007-07-17 11:27  dangelo

	* hugin/branches/ippei/CMakeLists.txt,
	  hugin/branches/ippei/CMakeModules/FindPANO13.cmake,
	  hugin/branches/ippei/src/foreign/CMakeLists.txt,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp:
	  cmake build system and fixes for compilation with pano13

2007-07-17 11:24  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_config_mac.h: strange warnings,
	  switching to pano13 on Mac

2007-07-17 11:19  ippei

	* hugin/branches/ippei/src/hugin1/PT/PanoCommand.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoramaMemento.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.h,
	  hugin/branches/ippei/src/hugin_base/nona/ImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h:
	  killed most warnings

2007-07-17 10:48  ippei

	* hugin/branches/ippei/src/hugin1/PT/PanoCommand.h,
	  hugin/branches/ippei/src/hugin1/hugin/CPImageCtrl.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/CropPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/src/hugin1/hugin/ImagesPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/MainFrame.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/huginApp.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/wxPanoCommand.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.cpp,
	  hugin/branches/ippei/src/hugin_base/test/nona.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ResponseTransform.h:
	  debug and updates

2007-07-17 10:38  ippei

	* hugin/branches/ippei/src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/crop_panel.xrc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/images_panel.xrc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/lens_panel.xrc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/optimize_photo_panel.xrc:
	  merging the updates in head

2007-07-17 10:36  ippei

	* hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/16bit_workflow_with_hugin.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Aliasing.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Alpha_channel.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Aspect_Ratio.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Autooptimiser.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Autopano.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Banding.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Barrel_distortion.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Bracketing.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/CCD.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Color_correct_tiff.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Control_points.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Crop_factor.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Cropped_TIFF.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Cubic.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Cubic_Projection.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_Projection.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_panorama.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Dynamic_range.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/EXIF.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Enblend.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Entrance_pupil.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/FAQ.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Field_of_view.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Fisheye_Projection.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Focal_Length.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Freepv.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Fulla.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/GIF.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Gamma.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/HDR.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Assistant_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Camera_and_Lens_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_table.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Crop_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Exposure_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Keyboard_shortcuts.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Optimizer_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Interpolation.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/JPEG.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Landscape.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Lens_correction_model.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Lens_distortion.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/NPP.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Nadir.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/No-parallax_point.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Nodal_Point.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Nona.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Nona_gui.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PNG.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PPI.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PSD.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PTOptimizer.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PTStitcher.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PTtiff2psd.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Pano12.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/PanoTools.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panoinfo.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panorama.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panorama_Tools.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panorama_formats.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panorama_tools.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Panotools.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Parallax.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Perspective_distortion.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Pincushion_distortion.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Pitch.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Portrait.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/RAW.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Rectilinear_Projection.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Roll.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Spherical.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Stereographic_Projection.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Straight_line_control_points.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/TIFF.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Vignetting.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Wavy_distortion.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Yaw.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/Zenith.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/contents.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/dewiki.pl,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/fetch.sh,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhc,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhk,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhp,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/keyboard.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/manual.html,
	  hugin/branches/ippei/src/hugin1/hugin/xrc/data/help_en_EN/pages.txt:
	  merging the updates in head

2007-07-17 10:28  dangelo

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.h:
	  fixed compilation problem

2007-07-16 13:34  ippei

	* hugin/branches/ippei/src/hugin1/PT/PTOptimise.h: a bug squeezed
	  so far

2007-07-16 11:57  ippei

	* hugin/branches/ippei/mac/Hugin-Info.plist,
	  hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/mac/localised.sh,
	  hugin/branches/ippei/src/hugin1/PT/PTOptimise.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoCommand.h,
	  hugin/branches/ippei/src/hugin1/PT/Panorama.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoramaMemento.h,
	  hugin/branches/ippei/src/hugin1/PT/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin1/PT/RandomPointSampler.h,
	  hugin/branches/ippei/src/hugin1/PT/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin1/common/Command.h,
	  hugin/branches/ippei/src/hugin1/config.h,
	  hugin/branches/ippei/src/hugin1/hugin/CommandHistory.h,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/src/hugin1/hugin/wxPanoCommand.cpp,
	  hugin/branches/ippei/src/hugin1/panoinc.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h: the
	  old GUI compiles

2007-07-15 14:26  ippei

	* hugin/branches/ippei/src/hugin1/PT/ImageGraph.h,
	  hugin/branches/ippei/src/hugin1/PT/ImageTransforms.h,
	  hugin/branches/ippei/src/hugin1/PT/PTOptimise.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoCommand.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoImage.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoToolsInterface.h,
	  hugin/branches/ippei/src/hugin1/PT/Panorama.h,
	  hugin/branches/ippei/src/hugin1/PT/PanoramaMemento.h,
	  hugin/branches/ippei/src/hugin1/PT/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin1/PT/Process.h,
	  hugin/branches/ippei/src/hugin1/PT/RandomPointSampler.h,
	  hugin/branches/ippei/src/hugin1/PT/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin1/PT/SimpleStitcher.h,
	  hugin/branches/ippei/src/hugin1/PT/SpaceTransform.h,
	  hugin/branches/ippei/src/hugin1/PT/Stitcher.h,
	  hugin/branches/ippei/src/hugin1/PT/Transforms.h,
	  hugin/branches/ippei/src/hugin1/PT/utils.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/to-be-added/AutoCtrlPointCreator.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Transforms.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/BasicPanoCommands.h
	  (old),
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.h,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h,
	  hugin/branches/ippei/src/hugin_base/test/autooptimiser.cpp,
	  hugin/branches/ippei/src/hugin_base/test/fulla.cpp,
	  hugin/branches/ippei/src/hugin_base/test/vig_optimize.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/HDRUtils.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ImageTransforms.h:
	  clean up and compatibility layer

2007-07-13 18:04  ippei

	* hugin/branches/ippei/src/hugin1/common/Command.h: porting to
	  hugin1 API

2007-07-13 17:49  ippei

	* hugin/branches/ippei/src/hugin1/vigra_ext: porting to hugin1 API

2007-07-13 17:48  ippei

	* hugin/branches/ippei/src/hugin1/common/Command.h,
	  hugin/branches/ippei/src/hugin1/common/Matrix3.h,
	  hugin/branches/ippei/src/hugin1/common/PTLensDB.h,
	  hugin/branches/ippei/src/hugin1/common/Vector3.h,
	  hugin/branches/ippei/src/hugin1/common/eig_jacobi.h,
	  hugin/branches/ippei/src/hugin1/common/graph.h,
	  hugin/branches/ippei/src/hugin1/common/lu.h,
	  hugin/branches/ippei/src/hugin1/common/math.h,
	  hugin/branches/ippei/src/hugin1/common/platform.h,
	  hugin/branches/ippei/src/hugin1/common/stl_utils.h,
	  hugin/branches/ippei/src/hugin1/common/utils.h,
	  hugin/branches/ippei/src/hugin_base/hugin_basic.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/platform.h,
	  hugin/branches/ippei/src/hugin_base/panoinc.h,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h,
	  hugin/branches/ippei/src/hugin_base/test/autooptimiser.cpp,
	  hugin/branches/ippei/src/hugin_base/test/fulla.cpp,
	  hugin/branches/ippei/src/hugin_base/test/nona.cpp,
	  hugin/branches/ippei/src/hugin_base/test/vig_optimize.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ResponseTransform.h:
	  porting to hugin1 API

2007-07-13 13:40  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.h,
	  hugin/branches/ippei/src/hugin_base/test/fulla.cpp,
	  hugin/branches/ippei/src/hugin_base/test/vig_optimize.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/VigQuotientEstimator.h:
	  testing with vig_optimize; more bug fixes

2007-07-11 22:58  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.cpp,
	  hugin/branches/ippei/src/hugin_base/panoinc.h,
	  hugin/branches/ippei/src/hugin_base/test/autooptimiser.cpp,
	  hugin/branches/ippei/src/hugin_base/test/open_file.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ImageTransforms.h:
	  update what I did earlier today; more debug and sample tools

2007-07-10 16:44  ippei

	* hugin/branches/ippei/src/hugin_base/algorithm.pch,
	  hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_base.pch,
	  hugin/branches/ippei/src/hugin_base/nona.pch,
	  hugin/branches/ippei/src/hugin_base/panodata.pch,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.cpp,
	  hugin/branches/ippei/src/hugin_base/test/nona.cpp,
	  hugin/branches/ippei/src/hugin_base/test/open_file.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/blend.h: debugging
	  nona progressdisplay etc

2007-07-09 17:30  ippei

	* hugin/branches/ippei/src/Doxyfile,
	  hugin/branches/ippei/src/foreign/jhead/exif.cpp,
	  hugin/branches/ippei/src/foreign/jhead/jpgfile.cpp,
	  hugin/branches/ippei/src/hugin_config_mac.h: some forgotten files
	  from last week

2007-07-09 17:21  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PTScriptParsing.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  hugin/branches/ippei/src/hugin_base/test,
	  hugin/branches/ippei/src/hugin_base/test/open_file.cpp: start
	  testing; Panorama class now links okay

2007-07-07 17:14  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: some
	  cleanups

2007-07-07 17:13  ippei

	* hugin/branches/ippei/src/hugin_base/PT and Panorama (old),
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/ImageGraph.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimizer/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools,
	  hugin/branches/ippei/src/hugin_base/algorithms/photometric,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/stl_utils.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.h: some
	  cleanups

2007-07-07 15:17  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/CachedImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.cpp,
	  hugin/branches/ippei/src/hugin_base/huginapp/ImageCache.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/nona/ImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h:
	  files missed out from last commit

2007-07-06 16:48  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/wxPlatform.h:
	  finish implementations for now

2007-07-05 10:58  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/PTOptimizer.cpp:
	  nona stitcher algorithms compile

2007-07-04 16:44  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: end of
	  the day

2007-07-04 16:43  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CenterHorizontally.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CenterHorizontally.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/PTOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/photometric/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/photometric/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.h,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h:
	  only stitchers to go\!

2007-07-04 12:52  ippei

	* hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/Pyramid.h: working
	  on algorithms

2007-07-04 12:51  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.cpp:
	  working on algorithms

2007-07-04 12:50  ippei

	* hugin/branches/ippei/src/hugin_base/nona/ImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/nona/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher1.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher2.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher3.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher4.cpp: nona
	  namespace changed

2007-07-03 16:35  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: end of
	  the day.

2007-07-03 16:34  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaFileStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaImageStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.h:
	  more in algorithms

2007-07-03 14:56  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/RotatePanorama.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.cpp:
	  first chunk of algorithms

2007-07-03 14:54  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools/CalculateOptimalScale.h:
	  first chunk of algorithms

2007-07-03 13:38  ippei

	* hugin/branches/ippei/src/hugin_base/algorithm,
	  hugin/branches/ippei/src/hugin_base/algorithm/ControlPointCreatorAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithm/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/ControlPointCreatorAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panotools,
	  hugin/branches/ippei/src/hugin_base/algorithms/ptoptimizer:
	  working on algorithms implementation

2007-07-02 16:30  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/TODO.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/panora_makefile,
	  hugin/branches/ippei/src/hugin_base/algorithms/panorama_makefile:
	  starting algorithms tomorrow

2007-07-02 16:26  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: and my
	  project file

2007-07-02 16:24  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/ControlPointCreatorAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTmenderStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PointSampler.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StraightenPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/TODO.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/basic/StraightenPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/PTmenderStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/to-be-added,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/to-be-added/wxPanoCommand.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/external/to-be-added/wxPanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panora_makefile,
	  hugin/branches/ippei/src/hugin_base/algorithms/panora_makefile/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/panora_makefile/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/photometric,
	  hugin/branches/ippei/src/hugin_base/algorithms/photometric/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/photometric/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/point_sampler/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/ptoptimizer,
	  hugin/branches/ippei/src/hugin_base/algorithms/ptoptimizer/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/ptoptimizer/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.cpp:
	  starting algorithms tomorrow

2007-07-02 16:23  ippei

	* hugin/branches/ippei/src/hugin_base/nona/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/SpaceTransform.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher1.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher2.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher3.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher4.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/NearestFeatureTransform.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/blend.h: nona
	  compiles :)

2007-07-02 12:13  ippei

	* hugin/branches/ippei/src/hugin_base/nona/ImageRemapper.h,
	  hugin/branches/ippei/src/hugin_base/nona/RemappedPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/nona/SimpleStitcher.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ImageTransforms.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/lut.h: working on
	  nona

2007-07-01 18:15  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Vector3.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PTScriptParsing.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PTScriptParsing.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ROIImage.h:
	  Panorama class compiles

2007-06-30 17:30  ippei

	* hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h:
	  ResponseTransform clean up, compiles okay

2007-06-30 15:59  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.h,
	  hugin/branches/ippei/src/hugin_base/photometric,
	  hugin/branches/ippei/src/hugin_base/ptoptimise,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/TODO.txt: reverted
	  the movement in 2185 to 2186 except ResponseTransform.h

2007-06-28 17:22  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/algorithms/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ImageTransforms.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/utils.h: misc.

2007-06-28 17:19  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.h,
	  hugin/branches/ippei/src/hugin_base/ptoptimise,
	  hugin/branches/ippei/src/hugin_base/ptoptimise/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/ptoptimise/ImageGraph.h,
	  hugin/branches/ippei/src/hugin_base/ptoptimise/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/ptoptimise/PTOptimise.h:
	  moved ptoptimiser

2007-06-28 16:53  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext/TODO.txt: moving
	  photometric stuff.

2007-06-28 16:52  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/photometric,
	  hugin/branches/ippei/src/hugin_base/photometric/OptimizePhotometric.cpp,
	  hugin/branches/ippei/src/hugin_base/photometric/OptimizePhotometric.h,
	  hugin/branches/ippei/src/hugin_base/photometric/ResponseTransform.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/lut.h: moving
	  photometric stuff.

2007-06-28 16:07  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext/TODO.txt: working
	  on panorama data structure implementation

2007-06-28 16:02  ippei

	* hugin/branches/ippei/src/hugin_base/hugin_math/hugin_math.h,
	  hugin/branches/ippei/src/hugin_base/panodata/ControlPoint.h,
	  hugin/branches/ippei/src/hugin_base/panodata/DestPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.h:
	  working on panorama data structure implementation

2007-06-27 17:04  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: end of
	  the day build file update

2007-06-27 16:59  ippei

	* hugin/branches/ippei/src/hugin_base/hugin_math/hugin_math.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/stl_utils.h,
	  hugin/branches/ippei/src/hugin_base/panodata/ControlPoint.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ControlPoint.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaMemento.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h:
	  working on panodata implementations

2007-06-27 16:52  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h:
	  further work in appbase, all files go through g++ happily

2007-06-26 17:12  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.cpp:
	  appbase implementation; compiles okay.

2007-06-26 17:10  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReportOld.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporterOld.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h:
	  appbase implementation; compiles okay.

2007-06-26 12:33  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/utils.h: vigra_ext
	  compiles okay

2007-06-26 12:17  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/mac/config.h,
	  hugin/branches/ippei/src/hugin_config_mac.h: new xcode for
	  building on mac

2007-06-26 12:15  ippei

	* hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Vector3.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Vector3.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/hugin_math.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/math.h: hugin_math
	  clean up complete and compiles okay

2007-06-25 17:00  ippei

	* hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Vector3.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/math.h: tomorrow
	  from hugin_math

2007-06-25 16:38  ippei

	* hugin/branches/ippei/src/foreign/lensdb/PTLensDB.c: lensdb
	  compiles

2007-06-25 16:36  ippei

	* hugin/branches/ippei/src/config.h.in,
	  hugin/branches/ippei/src/config.h.in.cmake,
	  hugin/branches/ippei/src/config_msvc.h,
	  hugin/branches/ippei/src/foreign/vigra/accessor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/affinegeometry.hxx,
	  hugin/branches/ippei/src/foreign/vigra/array_vector.hxx,
	  hugin/branches/ippei/src/foreign/vigra/basicgeometry.hxx,
	  hugin/branches/ippei/src/foreign/vigra/basicimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/basicimageview.hxx,
	  hugin/branches/ippei/src/foreign/vigra/bordertreatment.hxx,
	  hugin/branches/ippei/src/foreign/vigra/boundarytensor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/codec.hxx,
	  hugin/branches/ippei/src/foreign/vigra/colorconversions.hxx,
	  hugin/branches/ippei/src/foreign/vigra/combineimages.hxx,
	  hugin/branches/ippei/src/foreign/vigra/config.hxx,
	  hugin/branches/ippei/src/foreign/vigra/contourcirculator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/convolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/copyimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/cornerdetection.hxx,
	  hugin/branches/ippei/src/foreign/vigra/diff2d.hxx,
	  hugin/branches/ippei/src/foreign/vigra/distancetransform.hxx,
	  hugin/branches/ippei/src/foreign/vigra/edgedetection.hxx,
	  hugin/branches/ippei/src/foreign/vigra/eigensystem.hxx,
	  hugin/branches/ippei/src/foreign/vigra/error.hxx,
	  hugin/branches/ippei/src/foreign/vigra/fftw.hxx,
	  hugin/branches/ippei/src/foreign/vigra/fftw3.hxx,
	  hugin/branches/ippei/src/foreign/vigra/fixedpoint.hxx,
	  hugin/branches/ippei/src/foreign/vigra/flatmorphology.hxx,
	  hugin/branches/ippei/src/foreign/vigra/functorexpression.hxx,
	  hugin/branches/ippei/src/foreign/vigra/functortraits.hxx,
	  hugin/branches/ippei/src/foreign/vigra/gaborfilter.hxx,
	  hugin/branches/ippei/src/foreign/vigra/gaussians.hxx,
	  hugin/branches/ippei/src/foreign/vigra/gradient_energy_tensor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/imagecontainer.hxx,
	  hugin/branches/ippei/src/foreign/vigra/imageinfo.hxx,
	  hugin/branches/ippei/src/foreign/vigra/imageiterator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/imageiteratoradapter.hxx,
	  hugin/branches/ippei/src/foreign/vigra/impex.hxx,
	  hugin/branches/ippei/src/foreign/vigra/initimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/inspectimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/interpolating_accessor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/iteratoradapter.hxx,
	  hugin/branches/ippei/src/foreign/vigra/iteratortags.hxx,
	  hugin/branches/ippei/src/foreign/vigra/iteratortraits.hxx,
	  hugin/branches/ippei/src/foreign/vigra/labelimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/linear_algebra.hxx,
	  hugin/branches/ippei/src/foreign/vigra/linear_solve.hxx,
	  hugin/branches/ippei/src/foreign/vigra/localminmax.hxx,
	  hugin/branches/ippei/src/foreign/vigra/mathutil.hxx,
	  hugin/branches/ippei/src/foreign/vigra/matrix.hxx,
	  hugin/branches/ippei/src/foreign/vigra/memory.hxx,
	  hugin/branches/ippei/src/foreign/vigra/metaprogramming.hxx,
	  hugin/branches/ippei/src/foreign/vigra/multi_array.hxx,
	  hugin/branches/ippei/src/foreign/vigra/multi_convolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/multi_impex.hxx,
	  hugin/branches/ippei/src/foreign/vigra/multi_iterator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/multi_pointoperators.hxx,
	  hugin/branches/ippei/src/foreign/vigra/navigator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/noise_normalization.hxx,
	  hugin/branches/ippei/src/foreign/vigra/nonlineardiffusion.hxx,
	  hugin/branches/ippei/src/foreign/vigra/numerictraits.hxx,
	  hugin/branches/ippei/src/foreign/vigra/orientedtensorfilters.hxx,
	  hugin/branches/ippei/src/foreign/vigra/pixelneighborhood.hxx,
	  hugin/branches/ippei/src/foreign/vigra/polynomial.hxx,
	  hugin/branches/ippei/src/foreign/vigra/rational.hxx,
	  hugin/branches/ippei/src/foreign/vigra/recursiveconvolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/resampling_convolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/resizeimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/rfftw.hxx,
	  hugin/branches/ippei/src/foreign/vigra/rgbvalue.hxx,
	  hugin/branches/ippei/src/foreign/vigra/seededregiongrowing.hxx,
	  hugin/branches/ippei/src/foreign/vigra/separableconvolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/sized_int.hxx,
	  hugin/branches/ippei/src/foreign/vigra/slanted_edge_mtf.hxx,
	  hugin/branches/ippei/src/foreign/vigra/splineimageview.hxx,
	  hugin/branches/ippei/src/foreign/vigra/splines.hxx,
	  hugin/branches/ippei/src/foreign/vigra/static_assert.hxx,
	  hugin/branches/ippei/src/foreign/vigra/stdconvolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/stdimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/stdimagefunctions.hxx,
	  hugin/branches/ippei/src/foreign/vigra/symmetry.hxx,
	  hugin/branches/ippei/src/foreign/vigra/tensorutilities.hxx,
	  hugin/branches/ippei/src/foreign/vigra/tiff.hxx,
	  hugin/branches/ippei/src/foreign/vigra/tinyvector.hxx,
	  hugin/branches/ippei/src/foreign/vigra/transformimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/tuple.hxx,
	  hugin/branches/ippei/src/foreign/vigra/utilities.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra,
	  hugin/branches/ippei/src/foreign/vigra/vigra.vcproj,
	  hugin/branches/ippei/src/foreign/vigra/vigra/accessor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/affinegeometry.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/array_vector.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/basicgeometry.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/basicimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/basicimageview.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/bordertreatment.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/boundarytensor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/codec.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/colorconversions.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/combineimages.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/config.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/contourcirculator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/convolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/copyimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/cornerdetection.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/diff2d.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/distancetransform.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/edgedetection.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/eigensystem.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/error.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/fftw.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/fftw3.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/fixedpoint.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/flatmorphology.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/functorexpression.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/functortraits.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/gaborfilter.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/gaussians.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/gradient_energy_tensor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/imagecontainer.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/imageinfo.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/imageiterator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/imageiteratoradapter.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/impex.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/initimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/inspectimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/interpolating_accessor.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/iteratoradapter.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/iteratortags.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/iteratortraits.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/labelimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/linear_algebra.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/linear_solve.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/localminmax.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/mathutil.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/matrix.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/memory.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/metaprogramming.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/multi_array.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/multi_convolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/multi_impex.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/multi_iterator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/multi_pointoperators.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/navigator.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/noise_normalization.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/nonlineardiffusion.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/numerictraits.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/orientedtensorfilters.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/pixelneighborhood.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/polynomial.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/rational.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/recursiveconvolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/resampling_convolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/resizeimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/rfftw.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/rgbvalue.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/seededregiongrowing.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/separableconvolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/sized_int.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/slanted_edge_mtf.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/splineimageview.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/splines.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/static_assert.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/stdconvolution.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/stdimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/stdimagefunctions.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/symmetry.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/tensorutilities.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/tiff.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/tinyvector.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/transformimage.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/tuple.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/utilities.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/vigra.vcproj,
	  hugin/branches/ippei/src/foreign/vigra/vigra/watersheds.hxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra/windows.h,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/codecmanager.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/exr.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/iccjpeg.c,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/jpeg.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/png.cxx,
	  hugin/branches/ippei/src/foreign/vigra/vigra_impex/tiff.cxx,
	  hugin/branches/ippei/src/foreign/vigra/watersheds.hxx,
	  hugin/branches/ippei/src/foreign/vigra/windows.h,
	  hugin/branches/ippei/src/foreign/vigra_impex,
	  hugin/branches/ippei/src/hugin1/jhead,
	  hugin/branches/ippei/src/hugin_base/hugin_math,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Matrix3.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/Vector3.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/eig_jacobi.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_math/eig_jacobi.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/graph.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_math/graph.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/lu.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math/math.h,
	  hugin/branches/ippei/src/hugin_base/math,
	  hugin/branches/ippei/src/hugin_base/utils,
	  hugin/branches/ippei/src/hugin_config.h.in,
	  hugin/branches/ippei/src/hugin_config.h.in.cmake,
	  hugin/branches/ippei/src/hugin_config_msvc.h: jhead, vigra_impex,
	  hugin_math compiles

2007-06-25 15:20  ippei

	* hugin/branches/ippei/src/foreign/jhead,
	  hugin/branches/ippei/src/foreign/jhead/exif.cpp,
	  hugin/branches/ippei/src/foreign/jhead/jpgfile.cpp: source fixed
	  for jhead; compiles okay

2007-06-25 15:19  ippei

	* hugin/branches/ippei/src/hugin_base/hugin_utils,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/platform.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/stl_utils.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/utils.h,
	  hugin/branches/ippei/src/hugin_base/hugin_utils/wxPlatform.h:
	  source cleaned for hugin_utils; compiles okay

2007-06-25 11:35  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StitcherAlgorithm.h:
	  nona image algorithms; interface work completed for now.

2007-06-22 15:53  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt:
	  two last thigns to do

2007-06-22 15:40  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/optimiser:
	  algorithms interface almost finished; I think I just leave the
	  rest till later

2007-06-22 15:39  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaMakefileExport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PointSampler.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/RandomPointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/optimiser/PTOptimise.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/utils.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.cpp:
	  algorithms interface almost finished; I think I just leave the
	  rest till later

2007-06-22 15:36  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReportOld.h:
	  algorithms interface almost finished; I think I just leave the
	  rest till later

2007-06-21 15:26  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PhotometricOptimizer.cpp:
	  working on algorithms

2007-06-21 15:23  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/optimiser/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/optimiser/ImageGraph.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/ImageGraph.h:
	  working on algorithms

2007-06-21 12:19  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt:
	  working on algorithms

2007-06-21 11:57  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt:
	  working on algorithms

2007-06-21 11:29  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/FitPanorama.h:
	  working on algorithms

2007-06-21 11:27  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/NonaStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTStitcherFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTStitcherStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTmenderFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTmenderStitcher.h:
	  working on algorithms

2007-06-21 11:24  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/CalculateMeanExposure.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/CalculateOptimalScale.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/RotatePanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StraightenPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/math/Matrix3.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp:
	  working on algorithms

2007-06-20 13:11  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/CalculateCPStatistics.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h:
	  transforming algorithms in PanoramaDataLegacy

2007-06-20 11:20  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/CalculateFOV.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/FitPanorama.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h:
	  transforming algorithms in PanoramaDataLegacy

2007-06-19 18:04  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/NonaStitcherPanel.cpp:
	  algorithms overview

2007-06-19 18:03  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/NonaStitcherPanel.cpp:
	  algorithms overview

2007-06-19 17:59  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/AutoCtrlPointCreator.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/RandomPointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimiser,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/AutoCtrlPointCreator.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/PhotometricOptimizer.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/RandomPointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/optimiser,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/utils.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/wxPanoCommand.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/to-be-added/wxPanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/wxPanoCommand.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/wxPanoCommand.h:
	  algorithms overview

2007-06-19 17:53  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/algorithms.txt,
	  hugin/branches/ippei/src/hugin_base/algorithms/wxPanoCommand.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/wxPanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/nona/TODO.txt: algorithms
	  overview

2007-06-19 17:14  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTStitcherFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PTmenderFileOutputStitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/nona/TODO.txt: working on
	  stitcher algorithms

2007-06-18 15:37  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/NonaStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/StitcherAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/nona/NonaStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/nona/TODO.txt: stitcher
	  algorithms started

2007-06-18 14:56  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/VigraProgressDisplayAdaptor.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplayOld.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ProgressDisplay.h:
	  reviving the old ProgressDisplay to AppBase level

2007-06-18 14:24  ippei

	* hugin/branches/ippei/src/hugin_base/nona/TODO.txt: nona as an
	  independent module

2007-06-18 14:18  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/nona,
	  hugin/branches/ippei/src/hugin_base/nona,
	  hugin/branches/ippei/src/hugin_base/nona/Stitcher.h: nona as an
	  independent module

2007-06-18 14:18  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h:
	  finalising the algorithm base class

2007-06-18 13:30  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h:
	  finalising the algorithm base class

2007-06-18 13:11  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h:
	  changed the algorithm base class

2007-06-18 11:04  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/RandomPointSampler.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/nona/Stitcher.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.h:

2007-06-18 11:01  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.h,
	  hugin/branches/ippei/src/hugin_base/appbase/external program
	  setup.txt, hugin/branches/ippei/src/hugin_base/appbase/external
	  program.txt:

2007-06-16 20:00  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ExternalProcess.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgram.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProgramSetup.h,
	  hugin/branches/ippei/src/hugin_base/appbase/command line tool
	  setup.txt, hugin/branches/ippei/src/hugin_base/appbase/external
	  process.txt, hugin/branches/ippei/src/hugin_base/appbase/external
	  program setup.txt,
	  hugin/branches/ippei/src/hugin_base/appbase/external program.txt:

2007-06-16 19:55  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/command line tool
	  descriptor.txt,
	  hugin/branches/ippei/src/hugin_base/appbase/command line tool
	  setup.txt, hugin/branches/ippei/src/hugin_base/appbase/external
	  process executor.txt,
	  hugin/branches/ippei/src/hugin_base/appbase/external process.txt:

2007-06-16 14:59  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/VigraProgressDisplayAdaptor.h,
	  hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/BasicPanoCommands.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/BasicPanoCommands.h
	  (old),
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h:

2007-06-15 20:47  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ExternalProcessExecutor.h:

2007-06-15 20:47  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/command line tool
	  descriptor.txt,
	  hugin/branches/ippei/src/hugin_base/appbase/external process
	  executor.txt:

2007-06-12 13:09  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/VigraProgressDisplayAdaptor.h,
	  hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/BasicPanoCommands.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h: might
	  want to revert this change around strings

2007-06-11 15:39  ippei

	* hugin/branches/ippei/src/hugin_base/PT and Panorama
	  (old)/utils.cpp, hugin/branches/ippei/src/hugin_base/PT and
	  Panorama (old)/utils.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/VigraProgressDisplayAdaptor.h,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/utils.h,
	  hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/BasicPanoCommands.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h,
	  hugin/branches/ippei/src/hugin_base/utils/Note about utils.txt:

2007-06-11 12:58  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/VigraProgressDisplayAdaptor.h,
	  hugin/branches/ippei/src/hugin_base/common:

2007-06-11 11:28  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h:

2007-06-11 08:58  ippei

	* hugin/branches/ippei/src/hugin_base/common/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/common/platform.h,
	  hugin/branches/ippei/src/hugin_base/common/stl_utils.h,
	  hugin/branches/ippei/src/hugin_base/common/utils.cpp,
	  hugin/branches/ippei/src/hugin_base/common/utils.h,
	  hugin/branches/ippei/src/hugin_base/common/wxPlatform.h,
	  hugin/branches/ippei/src/hugin_base/utils,
	  hugin/branches/ippei/src/hugin_base/utils/utils.h:

2007-06-11 08:56  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h:

2007-06-09 18:11  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/VigraProgressDisplayAdaptor.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/common/utils.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ProgressDisplay.h:

2007-06-09 14:05  ippei

	* hugin/branches/ippei/src/hugin_base/math,
	  hugin/branches/ippei/src/hugin_base/math_hugin:

2007-06-09 13:43  ippei

	* hugin/branches/ippei/src/hugin_base/hugin_math,
	  hugin/branches/ippei/src/hugin_base/math_hugin:

2007-06-09 13:42  ippei

	* hugin/branches/ippei/src/hugin1/vigra_ext,
	  hugin/branches/ippei/src/hugin1/vigra_ext/.cvsignore,
	  hugin/branches/ippei/src/hugin1/vigra_ext/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin1/vigra_ext/Correlation.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/FitPolynom.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/FunctorAccessor.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/HDRUtils.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/ImageTransforms.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/Interpolators.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/MultiLayerImage.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/MultiThreadOperations.cpp,
	  hugin/branches/ippei/src/hugin1/vigra_ext/MultiThreadOperations.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/NearestFeatureTransform.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/Pyramid.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/ROIImage.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/RansacParameterEstimator.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/VigQuotientEstimator.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/VignettingCorrection.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/blend.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/emor.cpp,
	  hugin/branches/ippei/src/hugin1/vigra_ext/emor.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/impexalpha.hxx,
	  hugin/branches/ippei/src/hugin1/vigra_ext/lut.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/pyramid2.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/ransac.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/tiffUtils.h,
	  hugin/branches/ippei/src/hugin1/vigra_ext/utils.h,
	  hugin/branches/ippei/src/hugin_base/hugin_math,
	  hugin/branches/ippei/src/hugin_base/math:

2007-06-08 22:48  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporter.h,
	  hugin/branches/ippei/src/hugin_base/appbase/progress view.txt:

2007-06-08 17:34  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/progress view.txt:

2007-06-08 10:35  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj: No log
	  message.

2007-06-08 09:58  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/DocumentManager.h:

2007-06-08 09:57  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/document.txt,
	  hugin/branches/ippei/src/hugin_base/appbase/progress view.txt:

2007-06-08 09:51  ippei

	* hugin/branches/ippei/src/hugin_base/appbase/Document.h,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentData.h:

2007-06-08 09:40  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/appbase/Command.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.h,
	  hugin/branches/ippei/src/hugin_base/appbase/Document.h,
	  hugin/branches/ippei/src/hugin_base/appbase/document.txt,
	  hugin/branches/ippei/src/hugin_base/appbase/progress view.txt,
	  hugin/branches/ippei/src/hugin_base/qtappbase,
	  hugin/branches/ippei/src/hugin_base/qtappbase/document
	  manager.txt,
	  hugin/branches/ippei/src/hugin_base/qtappbase/document type.txt,
	  hugin/branches/ippei/src/hugin_base/qtappbase/document
	  viewer.txt,
	  hugin/branches/ippei/src/hugin_base/qtappbase/document.txt:

2007-06-05 18:36  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PTStitcherPanel.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/PanoramaAlgorithm.h,
	  hugin/branches/ippei/src/hugin_base/appbase/CommandHistory.cpp,
	  hugin/branches/ippei/src/hugin_base/appbase/Document.h,
	  hugin/branches/ippei/src/hugin_base/appbase/DocumentManager.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProcess.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ExternalProcessExecutor.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressDisplay.h,
	  hugin/branches/ippei/src/hugin_base/appbase/ProgressReporter.h,
	  hugin/branches/ippei/src/hugin_base/common/utils.h: started
	  coding some basic concepts

2007-06-05 12:27  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/.cvsignore,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/CMakeLists.txt,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/Correlation.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/FitPolynom.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/FunctorAccessor.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/HDRUtils.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ImageTransforms.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/Interpolators.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/MultiLayerImage.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/MultiThreadOperations.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/MultiThreadOperations.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/NearestFeatureTransform.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/Pyramid.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ROIImage.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/RansacParameterEstimator.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/VigQuotientEstimator.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/VignettingCorrection.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/blend.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/emor.cpp,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/emor.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/impexalpha.hxx,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/lut.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/pyramid2.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/ransac.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/tiffUtils.h,
	  hugin/branches/ippei/src/hugin_base/vigra_ext/utils.h: reverted
	  the change. didn't know vigra_ext has dependancy to other files

2007-06-05 12:15  ippei

	* hugin/branches/ippei/src/hugin_base/vigra_ext: moved vigra_ext
	  out of hugin_base

2007-06-05 12:15  ippei

	* hugin/branches/ippei/src/hugin_base/huginapp/BasicPanoCommands.h,
	  hugin/branches/ippei/src/hugin_base/huginapp/PanoCommand.h:
	  divided panocommand base and implementations

2007-06-05 10:59  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h:
	  panodata reorganisation continues

2007-06-05 10:46  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/PanoramaDataLegacySupport.h:
	  panodata reorganisation continues

2007-06-05 10:45  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h:
	  panodata reorganisation continues

2007-06-05 10:19  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h:
	  panodata reorganisation continues

2007-06-04 18:20  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.h: fist
	  step in panodata reorganisation

2007-06-04 18:19  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h: fist
	  step in panodata reorganisation

2007-06-04 18:10  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/DestPanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoImage.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/SrcPanoImage.h: fist
	  step in panodata reorganisation

2007-06-04 17:47  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaDataLegacySupport.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.h:
	  fist step in panodata reorganisation

2007-06-04 16:41  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/PanoramaData.h: fist
	  step in panodata reorganisation

2007-06-04 15:02  ippei

	* hugin/branches/ippei/src/hugin_base/panodata/ControlPoint.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Lens.h,
	  hugin/branches/ippei/src/hugin_base/panodata/Panorama.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaMemento.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaOptions.h,
	  hugin/branches/ippei/src/hugin_base/panodata/PanoramaVariable.h:
	  fist step in panodata reorganisation

2007-06-04 14:28  ippei

	* hugin/branches/ippei/src/hugin_base/panotools/PanoToolsInterface.h:
	  fist step in optimizer reorganisation

2007-06-04 14:24  ippei

	* hugin/branches/ippei/src/hugin_base/algorithms/optimiser/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/algorithms/optimiser/PTOptimise.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PTOptimise.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PTOptimise.h,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  hugin/branches/ippei/src/hugin_base/panotools/PanoToolsOptimizerWrapper.h:
	  fist step in optimizer reorganisation

2007-06-03 21:39  ippei

	* hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/sources, hugin/branches/ippei/src: merging
	  headers and codes directories

2007-06-03 21:31  ippei

	* hugin/branches/ippei/sources/hugin_base/math/lu.c,
	  hugin/branches/ippei/sources/hugin_base/src: merging headers and
	  codes directories

2007-06-03 21:25  ippei

	* hugin/branches/ippei/sources/hugin_base/lensdb: merging headers
	  and codes directories

2007-06-03 21:24  ippei

	* hugin/branches/ippei/sources/hugin_base/PT and Panorama (old),
	  hugin/branches/ippei/sources/hugin_base/PT and Panorama
	  (old)/CMakeLists.txt, hugin/branches/ippei/sources/hugin_base/PT
	  and Panorama (old)/ImageTransforms.h,
	  hugin/branches/ippei/sources/hugin_base/PT and Panorama
	  (old)/Transforms.h, hugin/branches/ippei/sources/hugin_base/PT
	  and Panorama (old)/utils.cpp,
	  hugin/branches/ippei/sources/hugin_base/PT and Panorama
	  (old)/utils.h,
	  hugin/branches/ippei/sources/hugin_base/algorithms/PhotometricOptimizer.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/nona/SpaceTransform.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/nona/Stitcher.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/nona/Stitcher1.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/nona/Stitcher2.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/nona/Stitcher3.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/nona/Stitcher4.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/optimiser/ImageGraph.cpp,
	  hugin/branches/ippei/sources/hugin_base/algorithms/optimiser/PTOptimise.cpp,
	  hugin/branches/ippei/sources/hugin_base/common/CMakeLists.txt,
	  hugin/branches/ippei/sources/hugin_base/common/utils.cpp,
	  hugin/branches/ippei/sources/hugin_base/huginapp/ImageCache.cpp,
	  hugin/branches/ippei/sources/hugin_base/lensdb,
	  hugin/branches/ippei/sources/hugin_base/math,
	  hugin/branches/ippei/sources/hugin_base/math/eig_jacobi.cpp,
	  hugin/branches/ippei/sources/hugin_base/math/graph.cpp,
	  hugin/branches/ippei/sources/hugin_base/panodata,
	  hugin/branches/ippei/sources/hugin_base/panodata/PanoImage.cpp,
	  hugin/branches/ippei/sources/hugin_base/panodata/Panorama.cpp,
	  hugin/branches/ippei/sources/hugin_base/panodata/PanoramaMemento.cpp,
	  hugin/branches/ippei/sources/hugin_base/panotools,
	  hugin/branches/ippei/sources/hugin_base/panotools/PTOptimise.cpp,
	  hugin/branches/ippei/sources/hugin_base/panotools/PanoToolsInterface.cpp,
	  hugin/branches/ippei/sources/hugin_base/src/algorithms,
	  hugin/branches/ippei/sources/hugin_base/src/appbase,
	  hugin/branches/ippei/sources/hugin_base/src/common,
	  hugin/branches/ippei/sources/hugin_base/src/huginapp,
	  hugin/branches/ippei/sources/hugin_base/src/math,
	  hugin/branches/ippei/sources/hugin_base/src/panodata,
	  hugin/branches/ippei/sources/hugin_base/src/vigra_ext,
	  hugin/branches/ippei/sources/hugin_base/vigra_ext,
	  hugin/branches/ippei/sources/hugin_base/vigra_ext/CMakeLists.txt,
	  hugin/branches/ippei/sources/hugin_base/vigra_ext/MultiThreadOperations.cpp,
	  hugin/branches/ippei/sources/hugin_base/vigra_ext/emor.cpp:
	  merging headers and codes directories

2007-06-03 21:10  ippei

	* hugin/branches/ippei/sources/hugin_base/algorithms,
	  hugin/branches/ippei/sources/hugin_base/appbase,
	  hugin/branches/ippei/sources/hugin_base/common,
	  hugin/branches/ippei/sources/hugin_base/huginapp,
	  hugin/branches/ippei/sources/hugin_base/include,
	  hugin/branches/ippei/sources/hugin_base/lensdb,
	  hugin/branches/ippei/sources/hugin_base/math,
	  hugin/branches/ippei/sources/hugin_base/panodata,
	  hugin/branches/ippei/sources/hugin_base/panotools,
	  hugin/branches/ippei/sources/hugin_base/vigra_ext: merging
	  headers and codes directories

2007-06-03 21:07  ippei

	* hugin/branches/ippei/sources/hugin1/include: merging headers and
	  codes directories

2007-06-03 21:03  ippei

	* hugin/branches/ippei/sources/hugin1/PT,
	  hugin/branches/ippei/sources/hugin1/common,
	  hugin/branches/ippei/sources/hugin1/hugin/AnchorPositionCtrl.h,
	  hugin/branches/ippei/sources/hugin1/hugin/AssistantPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/AutoCtrlPointCreator.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPEditorPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPEditorPanelHandler.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPEditorTest.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPFineTuneFrame.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPImageCtrl.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPListFrame.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CPZoomDisplayPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CommandHistory.h,
	  hugin/branches/ippei/sources/hugin1/hugin/CropPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/HFOVDialog.h,
	  hugin/branches/ippei/sources/hugin1/hugin/ImageCache.h,
	  hugin/branches/ippei/sources/hugin1/hugin/ImageProcessing.h,
	  hugin/branches/ippei/sources/hugin1/hugin/ImagesList.h,
	  hugin/branches/ippei/sources/hugin1/hugin/ImagesPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/LensPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/LocalizedFileTipProvider.h,
	  hugin/branches/ippei/sources/hugin1/hugin/MainFrame.h,
	  hugin/branches/ippei/sources/hugin1/hugin/MyExternalCmdExecDialog.h,
	  hugin/branches/ippei/sources/hugin1/hugin/MyProgressDialog.h,
	  hugin/branches/ippei/sources/hugin1/hugin/NonaStitcherPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/OptimizePanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/OptimizePhotometricPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PTStitcherPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PTWXDlg.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PanoDruid.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PanoPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/Plot2D.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PreferencesDialog.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PreviewFrame.h,
	  hugin/branches/ippei/sources/hugin1/hugin/PreviewPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/RunStitcherFrame.h,
	  hugin/branches/ippei/sources/hugin1/hugin/StitcherPanel.h,
	  hugin/branches/ippei/sources/hugin1/hugin/TextKillFocusHandler.h,
	  hugin/branches/ippei/sources/hugin1/hugin/UniversalCursor.h,
	  hugin/branches/ippei/sources/hugin1/hugin/VigCorrDialog.h,
	  hugin/branches/ippei/sources/hugin1/hugin/config.h.tmpl,
	  hugin/branches/ippei/sources/hugin1/hugin/config_defaults.h,
	  hugin/branches/ippei/sources/hugin1/hugin/huginApp.h,
	  hugin/branches/ippei/sources/hugin1/hugin/wxPanoCommand.h,
	  hugin/branches/ippei/sources/hugin1/include/PT,
	  hugin/branches/ippei/sources/hugin1/include/common,
	  hugin/branches/ippei/sources/hugin1/include/hugin/AnchorPositionCtrl.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/AssistantPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/AutoCtrlPointCreator.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPEditorPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPEditorPanelHandler.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPEditorTest.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPFineTuneFrame.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPImageCtrl.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPListFrame.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CPZoomDisplayPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CommandHistory.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/CropPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/HFOVDialog.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/ImageCache.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/ImageProcessing.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/ImagesList.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/ImagesPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/LensPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/LocalizedFileTipProvider.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/MainFrame.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/MyExternalCmdExecDialog.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/MyProgressDialog.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/NonaStitcherPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/OptimizePanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/OptimizePhotometricPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PTStitcherPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PTWXDlg.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PanoDruid.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PanoPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/Plot2D.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PreferencesDialog.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PreviewFrame.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/PreviewPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/RunStitcherFrame.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/StitcherPanel.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/TextKillFocusHandler.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/UniversalCursor.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/VigCorrDialog.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/config.h.tmpl,
	  hugin/branches/ippei/sources/hugin1/include/hugin/config_defaults.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/huginApp.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/wxPanoCommand.h,
	  hugin/branches/ippei/sources/hugin1/include/hugin/xrc,
	  hugin/branches/ippei/sources/hugin1/include/jhead,
	  hugin/branches/ippei/sources/hugin1/include/panoinc.h,
	  hugin/branches/ippei/sources/hugin1/include/panoinc_WX.h,
	  hugin/branches/ippei/sources/hugin1/jhead/jhead.h,
	  hugin/branches/ippei/sources/hugin1/panoinc.h,
	  hugin/branches/ippei/sources/hugin1/panoinc_WX.h: merging headers
	  and codes directories

2007-06-03 20:48  ippei

	* hugin/branches/ippei/sources/Foreign,
	  hugin/branches/ippei/sources/Hugin1,
	  hugin/branches/ippei/sources/HuginBase,
	  hugin/branches/ippei/sources/foreign,
	  hugin/branches/ippei/sources/foreign/exiv2,
	  hugin/branches/ippei/sources/hugin1,
	  hugin/branches/ippei/sources/hugin_base: merging headers and
	  codes directories

2007-06-03 20:39  ippei

	* hugin/branches/ippei/sources/Foreign/exiv2: removed exiv2 code
	  from the repository

2007-06-03 17:31  ippei

	* hugin/branches/ippei/mac/ExternalPrograms/boost_1_33_1,
	  hugin/branches/ippei/mac/ExternalPrograms/repository,
	  hugin/branches/ippei/mac/ExternalPrograms/wxWidgets-2.7.0-1:
	  initial commit continued

2007-06-03 17:30  ippei

	* hugin/branches/ippei/mac, hugin/branches/ippei/mac/Documents,
	  hugin/branches/ippei/mac/Documents/HOWTO-autopanosift.txt,
	  hugin/branches/ippei/mac/Documents/ReadMe-HuginOSX.txt,
	  hugin/branches/ippei/mac/ExternalPrograms,
	  hugin/branches/ippei/mac/ExternalPrograms/boost_1_33_1,
	  hugin/branches/ippei/mac/ExternalPrograms/howto.txt,
	  hugin/branches/ippei/mac/ExternalPrograms/repository,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/SetEnv-ppc.txt,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/SetEnv-universal-TigerOnly.txt,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/autopano-sift-C.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/boost.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/clens.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/enblend.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/enblend3.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/lcms.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/libglew.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/libjpeg.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/libpng.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/libtiff.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/libxmi.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/openexr.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/pano12.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/pano13.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/wxmac26.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/wxmac27.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/scripts/wxmac28.sh,
	  hugin/branches/ippei/mac/ExternalPrograms/wxWidgets-2.7.0-1,
	  hugin/branches/ippei/mac/Hugin-Info.plist,
	  hugin/branches/ippei/mac/Hugin.icns,
	  hugin/branches/ippei/mac/Hugin.xcodeproj,
	  hugin/branches/ippei/mac/Hugin.xcodeproj/project.pbxproj,
	  hugin/branches/ippei/mac/HuginFiles.icns,
	  hugin/branches/ippei/mac/autopano-complete-mac.sh,
	  hugin/branches/ippei/mac/build_using_cmdline.sh,
	  hugin/branches/ippei/mac/build_using_cmdline.txt,
	  hugin/branches/ippei/mac/config.h,
	  hugin/branches/ippei/mac/install2bundle.sh,
	  hugin/branches/ippei/mac/localised.sh,
	  hugin/branches/ippei/mac/nona_gui-Info.plist: initial commit
	  continued

2007-06-03 17:24  ippei

	* hugin/branches/ippei/mac,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc: initial commit
	  continued

2007-06-03 17:21  ippei

	* hugin/branches/ippei/BUGS, hugin/branches/ippei/ChangeLog,
	  hugin/branches/ippei/HACKING, hugin/branches/ippei/Makefile.am,
	  hugin/branches/ippei/NEWS, hugin/branches/ippei/TODO,
	  hugin/branches/ippei/bootstrap,
	  hugin/branches/ippei/configure.ac, hugin/branches/ippei/m4,
	  hugin/branches/ippei/sources,
	  hugin/branches/ippei/sources/Doxyfile,
	  hugin/branches/ippei/sources/Foreign,
	  hugin/branches/ippei/sources/Foreign/.cvsignore,
	  hugin/branches/ippei/sources/Foreign/CMakeLists.txt,
	  hugin/branches/ippei/sources/Foreign/VIGRA_LICENSE,
	  hugin/branches/ippei/sources/Foreign/exiv2,
	  hugin/branches/ippei/sources/Foreign/exiv2/COPYING,
	  hugin/branches/ippei/sources/Foreign/exiv2/Makefile,
	  hugin/branches/ippei/sources/Foreign/exiv2/README,
	  hugin/branches/ippei/sources/Foreign/exiv2/config,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/Doxyfile,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/Makefile,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/aclocal.m4,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/config.guess,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/config.h.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/config.mk.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/config.rpath,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/config.sub,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/configure.ac,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/exiv2.pc.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/install-sh,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/ltmain.sh,
	  hugin/branches/ippei/sources/Foreign/exiv2/config/mkinstalldirs,
	  hugin/branches/ippei/sources/Foreign/exiv2/configure,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/ChangeLog,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/Makefile,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/cmd.txt,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include/ascending.png,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include/blank.png,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include/descending.png,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include/exiv2-components.png,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include/sortabletable.css,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/include/sortabletable.js,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/index.html,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/Makefile,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__CrwMapping__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__doctype__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__header2__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__index1__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__index2__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__index3__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__maintitle__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/__makernotes__,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/crw-mapping.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/exiv2.dot,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/gen.py,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/getting-started.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/gpl-license.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/iptc.awk,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/iptc.xsl,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/makernote.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-canon.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-exif.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-fujifilm.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-iptc.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-minolta.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-nikon.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-olympus.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-panasonic.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-sigma.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags-sony.html.in,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags.awk,
	  hugin/branches/ippei/sources/Foreign/exiv2/doc/templates/tags.xsl,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/addmoddel,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/addmoddel/addmoddel.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/crwparse,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/crwparse/crwparse.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exifcomment,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exifcomment/exifcomment.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exifdata-test,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exifdata-test/exifdata-test.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exifprint,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exifprint/exifprint.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2.sln,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2/exiv2.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/ReadMe.txt,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exif.cpp,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exif.h,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exif.rgs,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2com.cpp,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2com.def,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2com.idl,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2com.rc,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2com.rgs,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2com.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2comPS.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/exiv2comps.def,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/resource.h,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/sample,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/sample/default.asp,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/sample/sample.jpg,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/stdafx.cpp,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2com/stdafx.h,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2lib,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exiv2lib/exiv2lib.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exivsimple,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exivsimple/exivsimple.cpp,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exivsimple/exivsimple.h,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exivsimple/exivsimple.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exivsimple/stdafx.cpp,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/exivsimple/stdafx.h,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/ifd-test,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/ifd-test/ifd-test.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iotest,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iotest/iotest.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iptceasy,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iptceasy/iptceasy.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iptcprint,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iptcprint/iptcprint.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iptctest,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/iptctest/iptctest.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/largeiptc-test,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/largeiptc-test/largeiptc-test.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/makernote-test,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/makernote-test/makernote-test.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/metacopy,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/metacopy/metacopy.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/taglist,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/taglist/taglist.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/utiltest,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/utiltest/utiltest.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/write-test,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/write-test/write-test.vcproj,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/write2-test,
	  hugin/branches/ippei/sources/Foreign/exiv2/msvc/write2-test/write2-test.vcproj,
